<?php 

class JoursCours extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("JoursCoursModel","jours");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 7;
		$data["action"] = $action;
		$data["lists"] = $this->jours->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/joursCours",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("jours[]","jours","required",["required" => "Vous devez selectionner aux mois une"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$days = $_POST['jours'];
		$description = trim($_POST["description"]);
		$nom = "";

		foreach($days as $day)
		{
			$nom .= $day . "-";
		}

		$nom = trim($nom,"-");

		if($this->jours->isExist($nom))
		{
			$this->index("create",array_merge($_POST,Utility::getAlert("error","Jours de cours déjà enregistré")));
			return false;
		}

		$this->jours->create(["nomJoursCours","description"],[$nom,$description]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->jours->getOne($id);
		$this->index("update",[
			"id" => $res->idJoursCours,
			"jours" => explode("-", $res->nomJoursCours),
			"description" => $res->description
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("jours[]","jours","required",["required" => "Vous devez selectionner aux mois une"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$days = $_POST['jours'];
		$description = trim($_POST["description"]);
		$nom = "";

		foreach($days as $day)
		{
			$nom .= $day . "-";
		}

		$nom = trim($nom,"-");

		$id = (int)$_POST['id'];
		$toUpdate = $this->jours->getOne($id);

		if($toUpdate->nomJoursCours !== $nom)
		{
			if($this->jours->isExist($nom))
			{
				$this->index("update",array_merge($_POST,Utility::getAlert("error","Jours de cours déjà enregistré")));
				return false;
			}
		}

		$this->jours->update(["nomJoursCours","description"],[$nom,$description,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->jours->delete($id);
		$this->index("create",Utility::getAlert("success","Jours de cours supprimé"));
	}

}