<?php 

class BaremeModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT * FROM bareme
			INNER JOIN niveau ON niveau.idNiveau=bareme.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idClasse
			ORDER BY classe.idClasse,idBareme DESC");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM bareme
			INNER JOIN niveau ON niveau.idNiveau=bareme.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idClasse
			WHERE classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			ORDER BY classe.idClasse,idBareme DESC",
			[$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT * FROM bareme
			INNER JOIN niveau ON niveau.idNiveau=bareme.idNiveau
			WHERE idBareme=?",
			[$id],false
		);
	}

	public function create($fields,$values)
	{
		DB::insert("bareme")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("bareme")
			->parametters($fields)
			->where("idBareme","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("bareme")
			->where("idBareme","=")
			->execute([$id]);
	}


	public function isExist($niveau,$matieres)
	{
		$res = DB::select("bareme")
					->where("idNiveau","=")
					->and("matieres","=")
					->fetchOne([$niveau,$matieres]);

		if($res)
			return true;
		return false;
	}

	public function getMatieresByNiveau($niveau)
	{
		return DB::customQuery("SELECT matieres FROM bareme WHERE idNiveau=?",[$niveau]);
	}

	public function getByNiveau($niveau)
	{
		return DB::select("bareme")
				->where("idNiveau","=")
				->execute([$niveau]);
	}

	public function getByNiveauAndMatiere($niveau,$matiere)
	{
		return DB::select("bareme")
				->where("idNiveau","=")
				->and("matieres","=")
				->fetchOne([$niveau,$matiere]);
	}

	public function getTotalByNiveau($niveau)
	{
		$res = DB::customQuery("SELECT SUM(bareme) AS somme FROM bareme WHERE idNiveau=?",[$niveau],false);

		return (float)$res->somme;
	}


}