<?php 

class MutationModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT mutation.matriculeEtudiant,
			etudiant.nom,etudiant.prenom,
			niveau.codeNiveau,classe.codeClasse,
			term.nomTerm,exercice.anneeExercice,
			origineHoraire.debutCours AS o_horaire,
			origineSalle.nomSalle AS o_salle,
			origine.jours AS o_jours,
			destHoraire.debutCours AS d_horaire,
			destSalle.nomSalle AS d_salle,
			dest.jours AS d_jours
			FROM mutation
			INNER JOIN repartitionCours AS origine ON origine.idRepartitionCours=mutation.oldRepartition
			INNER JOIN horaireCours AS origineHoraire ON origineHoraire.idHoraireCours=origine.idHoraireCours
			INNER JOIN salle AS origineSalle ON origineSalle.idSalle=origine.idSalle
			INNER JOIN repartitionCours AS dest ON dest.idRepartitionCours=mutation.newRepartition
			INNER JOIN horaireCours AS destHoraire ON destHoraire.idHoraireCours=dest.idHoraireCours
			INNER JOIN salle AS destSalle ON destSalle.idSalle=dest.idSalle
			INNER JOIN niveau ON niveau.idNiveau=dest.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idNiveau
			INNER JOIN term ON term.idTerm=dest.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			INNER JOIN etudiantCours ON etudiantCours.matriculeEtudiant=mutation.matriculeEtudiant
			INNER JOIN etudiant ON etudiantCours.idEtudiant=etudiant.idEtudiant"
		);
	}

	public function create($fields,$values)
	{
		DB::insert("mutation")
			->parametters($fields)
			->execute($values);
	}

	public function updateInscription($fields,$values)
	{
		DB::update("inscriptionCours")
			->parametters($fields)
			->where("idTerm","=")
			->and("matriculeEtudiant","=")
			->execute($values);
	}

} 