<?php 

class NoteExamenOnlineModel extends CI_Model{

	public function isEmpty($niveau,$term)
	{
		$res = DB::select("noteExamenOnline")
				->where("idNiveau","=")
				->and("idTerm","=")
				->fetchOne([$niveau,$term]);
		if($res)
			return false;
		return true;
	}

	public function create($fields,$values)
	{
		DB::insert("noteExamenOnline")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("noteExamenOnline")
			->parametters($fields)
			->where("idNoteExamenOnline","=")
			->execute($values);
	}

	/**
	 * 
	 * Recuperer les etudiant pour saisir leur note d'examen
	 * 
	 * */
	public function getListEtudiants($niveau,$term)
	{
		return DB::customQuery("SELECT noteExamenOnline.*,etudiant.nom,etudiant.prenom FROM noteExamenOnline 
			INNER JOIN etudiantCours
			ON noteExamenOnline.matriculeEtudiant=etudiantCours.matriculeEtudiant
			INNER JOIN etudiant 
			ON etudiant.idEtudiant=etudiantCours.idEtudiant
			WHERE idTerm=?
			AND idNiveau=?
			ORDER BY noteExamenOnline.matriculeEtudiant ASC",
			[$term,$niveau]
		);
	}

	/***
	 * 
	 * Recuperer les etudiant pour traitement de resultat
	 * 
	 * 
	 * */
	public function getMatriculesEtudiant($niveau,$term)
	{
		return DB::customQuery("SELECT DISTINCT matriculeEtudiant
			FROM noteExamenOnline
			WHERE idNiveau=? AND idTerm=?",
			[$niveau,$term]
		);
	}

	/***
	 * 
	 * Recuperer les notes de l'etudiant pour traitement
	 * 
	 * 
	 * */
	public function getNotes($niveau,$term,$matricule)
	{
		return DB::customQuery("SELECT * FROM noteExamenOnline WHERE idNiveau=? AND idTerm=? AND matriculeEtudiant=?",[$niveau,$term,$matricule],false);
	}

}