<?php  

class PassingMarkModel extends CI_Model{


	public function getAll()
	{
		return DB::customQuery("SELECT * FROM passingMark
			INNER JOIN niveau ON niveau.idNiveau=passingMark.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			ORDER BY passingMark.idNiveau,idPassingMark");
	}
	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM passingMark
			INNER JOIN niveau ON niveau.idNiveau=passingMark.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			WHERE classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			ORDER BY passingMark.idNiveau,idPassingMark",
			[$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT * FROM passingMark
			INNER JOIN niveau ON niveau.idNiveau=passingMark.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			WHERE idPassingMark=?
			ORDER BY passingMark.idNiveau,idPassingMark",
			[$id],false
		);
	}

	public function create($fields,$values)
	{
		DB::insert("passingMark")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("passingMark")
			->parametters($fields)
			->where("idPassingMark","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("passingMark")
			->where("idPassingMark","=")
			->execute([$id]);
	}

	/**
	 * Verification doublon
	 * 
	 * */
	public function isExist($idNiveau)
	{
		$res = DB::select("passingMark")->where("idNiveau","=")->fetchOne([$idNiveau]);
		if($res)
			return true;
		return false;
	}

	/**
	 * Recuperer passMark selon le niveau
	 * 
	 * 
	 * */
	public function getByNiveau($niveau)
	{
		return DB::select("passingMark")
					->where("idNiveau","=")
					->fetchOne([$niveau]);
	}

}