<?php 

class StatistiqueModel extends CI_Model{

	public function getStatistiquePT($idTerm,$classe)
	{
		$tclasse = DB::customQuery("SELECT * FROM classe WHERE idClasse=?",[$classe],false);
		
		$niveaux = DB::customQuery("SELECT * FROM niveau ORDER BY degreeNiveau ASC");

		$session = DB::customQuery("SELECT * FROM session 
			INNER JOIN term ON term.idTerm=session.idTerm 
			INNER JOIN exercice ON exercice.idExercice=term.idExercice 
			WHERE session.idTerm=?",
			[$idTerm],false
		);

		if (!$session) 
		{
			return $this->initializeStat($niveaux,"NEW STUDENT");
		}
		$pref_1 = DB::customQuery("SELECT horaireCours.debutCours as heure,idHoraireCours 
			FROM etudiantPT
			INNER JOIN horaireCours ON horaireCours.idHoraireCours=etudiantPT.pref1 
			WHERE idSession=? 
			GROUP BY heure",
			[$session->idSession]
		);


		$results = [];

		foreach ($niveaux as $niv) 
		{
			$niv_key = $niv->codeNiveau;

			foreach ($pref_1 as $pref) 
			{
				$pref_key = $pref->heure;
				if ($pref_key === null) 
				{
					$pref_key = "No preference";
					$etudiants = DB::customQuery("SELECT COUNT(*) AS count 
						FROM etudiantPT 
						INNER JOIN resultatPT ON etudiantPT.numeroPT=resultatPT.numeroPT 
						INNER JOIN niveau ON niveau.idNiveau=resultatPT.idNiveau 
						WHERE etudiantPT.idSession=?
						AND resultatPT.idNiveau=? 
						AND etudiantPT.pref1 IS NULL",
						[$session->idSession,$niv->idNiveau]
					);
				} 
				else 
				{
					$etudiants = DB::customQuery("SELECT COUNT(*) AS count 
						FROM etudiantPT 
						INNER JOIN resultatPT ON etudiantPT.numeroPT=resultatPT.numeroPT 
						INNER JOIN niveau ON niveau.idNiveau=resultatPT.idNiveau 
						WHERE etudiantPT.idSession=? 
						AND resultatPT.idNiveau=? 
						AND etudiantPT.pref1=?",
						[$session->idSession,$niv->idNiveau,$pref->idHoraireCours]
					);
				}
				
				$results[$niv_key]["NEW STUDENT"][$pref_key] = (int)$etudiants[0]->count;
			}
		}

		if(empty($results))
		{
			return $this->initializeStat($niveaux,"NEW STUDENT");
		}
		return $results;
	}
	public function getStatistiquePass($idTerm,$classe)
	{
		$tclasse = DB::customQuery("SELECT * FROM classe WHERE idClasse=?",[$classe],false);
		

		$niveaux = DB::customQuery("SELECT * FROM niveau ORDER BY degreeNiveau ASC");

		if ((int)$idTerm === 0) 
		{
			return $this->initializeStat($niveaux,"PASS");
		}
		
		$pref_1 = DB::customQuery("SELECT horaireCours.debutCours as heure 
			FROM inscriptionCours 
			LEFT JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours 
			WHERE inscriptionCours.idTerm=? 
			GROUP BY horaireCours.debutCours",
			[$idTerm]
		);


		$results = [];

		foreach ($niveaux as $niv) 
		{
			$niv_key = $niv->codeNiveau;

			foreach ($pref_1 as $pref) 
			{
				$pref_key = $pref->heure;
				
				if ($pref_key === null) 
				{
					$pref_key = "online";
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND inscriptionCours.joursCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,"Online","PASS"]
					);
				}
				else
				{
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND horaireCours.debutCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,$pref->heure,"PASS"]
					);
				}
				
				$results[$niv_key]["PASS"][$pref_key] = (int)$etudiants[0]->count;
			}
		}

		if(empty($results))
		{
			return $this->initializeStat($niveaux,"PASS");
		}
		return $results;
	}
	public function getStatistiqueRepeater($idTerm,$classe)
	{
		$tclasse = DB::customQuery("SELECT * FROM classe WHERE idClasse=?",[$classe],false);

		$niveaux = DB::customQuery("SELECT * FROM niveau ORDER BY degreeNiveau ASC");

		if ((int)$idTerm === 0) 
		{
			return $this->initializeStat($niveaux,"REPEATER");
		}

		$pref_1 = DB::customQuery("SELECT horaireCours.debutCours as heure 
			FROM inscriptionCours 
			LEFT JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours 
			WHERE inscriptionCours.idTerm=? 
			GROUP BY horaireCours.debutCours",
			[$idTerm]
		);


		$results = [];

		foreach ($niveaux as $niv) {
			$niv_key = $niv->codeNiveau;
			
			foreach ($pref_1 as $pref) 
			{
				$pref_key = $pref->heure;
				if($pref_key === null)
				{
					$pref_key = "online";
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND inscriptionCours.joursCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,"Online","REPEATER"]
					);	
				}
				else
				{
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND horaireCours.debutCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,$pref->heure,"REPEATER"]
					);
				}
				
				
				$results[$niv_key]["REPEATER"][$pref_key] = (int)$etudiants[0]->count;
			}
		}

		if(empty($results))
		{
			return $this->initializeStat($niveaux,"REPEATER");
		}
		return $results;
	}
	public function getStatistiqueDropout($idTerm,$classe)
	{
		$tclasse = DB::customQuery("SELECT * FROM classe WHERE idClasse=?",[$classe],false);
		

		$niveaux = DB::customQuery("SELECT * FROM niveau ORDER BY degreeNiveau ASC");

		if ((int)$idTerm === 0) 
		{
			return $this->initializeStat($niveaux,"DROPOUT");
		}
		
		$pref_1 = DB::customQuery("SELECT horaireCours.debutCours as heure 
			FROM inscriptionCours 
			LEFT JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours 
			WHERE inscriptionCours.idTerm=? 
			GROUP BY horaireCours.debutCours",
			[$idTerm]
		);


		$results = [];

		foreach ($niveaux as $niv) 
		{
			$niv_key = $niv->codeNiveau;

			foreach ($pref_1 as $pref) 
			{
				$pref_key = $pref->heure;
				
				if ($pref_key === null) 
				{
					$pref_key = "online";
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND inscriptionCours.joursCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,"Online","DROPOUT"]
					);
				}
				else
				{
					$etudiants = DB::customQuery("
						SELECT COUNT(*) AS count 
						FROM inscriptionCours
						INNER JOIN horaireCours ON horaireCours.idHoraireCours=inscriptionCours.idHoraireCours
						INNER JOIN resultatExamen ON resultatExamen.idTerm=inscriptionCours.idTerm AND inscriptionCours.matriculeEtudiant=resultatExamen.matriculeEtudiant
						WHERE inscriptionCours.idTerm=? 
						AND resultatExamen.readyTo=?
						AND horaireCours.debutCours=?
						AND resultatExamen.state=?",
						[$idTerm,$niv->idNiveau,$pref->heure,"DROPOUT"]
					);
				}
				
				$results[$niv_key]["DROPOUT"][$pref_key] = (int)$etudiants[0]->count;
			}
		}

		if(empty($results))
		{
			return $this->initializeStat($niveaux,"DROPOUT");
		}
		return $results;
	}


	private function initializeStat($niveaux,$category)
	{
		$results = [];
		$horaires = DB::customQuery("SELECT * FROM horaireCours ORDER BY debutCours ASC");
		$horaires[] = (object)["debutCours" => "online"];
		
		foreach ($niveaux as $niv) 
		{
			$niv_key = $niv->codeNiveau;

			foreach ($horaires as $horaire) 
			{
				$horaire_key = $horaire->debutCours;
				$results[$niv_key][$category][$horaire_key] = 0;
			}
		}
		return $results;
	}
}