<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("parametrage/exercice") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Exercice</a>
			<a href="<?= base_url("parametrage/term") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Term</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/term/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/term/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term n° :</label>
				<div class="input">
					<input type="number" name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" value="<?= $values['term'] ?? null ?>">
					<div class="form-error"><?= form_error('term') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Début :</label>
				<div class="input">
					<input type="date" name="debut" class="form-control <?= form_error('debut') ? 'input-error' : '' ?>" value="<?= $values['debut'] ?? null ?>">
					<div class="form-error"><?= form_error('debut') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Fin :</label>
				<div class="input">
					<input type="date" name="fin" class="form-control <?= form_error('fin') ? 'input-error' : '' ?>" value="<?= $values['fin'] ?? null ?>">
					<div class="form-error"><?= form_error('fin') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des terms</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("parametrage/term/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Début</th>
					<th>Fin</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?= $list->debutTerm ?></td>
						<td><?= $list->finTerm ?></td>
						<td>
							<form action="<?= base_url("parametrage/term/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idTerm ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("parametrage/term/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idTerm ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>