<?php 

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
use \PhpOffice\PhpSpreadsheet\Cell\DataType;
use PhpOffice\PhpSpreadsheet\Style\Border ;


$spreadsheet = new Spreadsheet();

$spreadsheet->getActiveSheet()->setCellValue('E1', "FACTURE N° {$numero}/{$numeroTerm}/{$facture[0]->anneeExercice}/{$facture[0]->codeClass}");

$spreadsheet->getActiveSheet()->setCellValue('A12', 'English Teaching Program');
$spreadsheet->getActiveSheet()->setCellValue('A13', 'Année');
$spreadsheet->getActiveSheet()->setCellValue('B13', $facture[0]->anneeExercice);
$spreadsheet->getActiveSheet()->setCellValue('A14', 'Période');
$spreadsheet->getActiveSheet()->setCellValue('B14', $facture[0]->nomTerm);


$spreadsheet->getActiveSheet()->setCellValue('C15', 'DOIT');
$spreadsheet->getActiveSheet()->setCellValue('D15', $facture[0]->nomCompany);
$spreadsheet->getActiveSheet()->setCellValue('D16', $facture[0]->adresseCompany);

$cells = ["A","B","C","D","E"];
$theaders = ["N° Reçu","Nom et prénoms","Frais de test de niveau","Quantité","Total"];



$i = 17;
$total = 0;
for($j=0;$j<5;$j++)
{
	$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, $theaders[$j]);
}
$i++;
foreach($facture as $fact)
{
	for($j=0;$j<5;$j++)
	{
		switch ($j) {
			case 0:
				$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, $fact->numeroPT);
				break;
			case 1:
				$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, $fact->nom . " " . $fact->prenom);
				break;
			case 2:
				$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, number_format($fact->montantPaye, 0, ",", " "));
				break;
			case 3:
				$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, 1);
				break;
			case 4:
				$spreadsheet->getActiveSheet()->setCellValue($cells[$j] . $i, number_format($fact->montantPaye, 0, ",", " "));
				break;
			
			default:
				break;
		}
	}
	$total += (int)$fact->montantPaye;
}
$i++;
$spreadsheet->getActiveSheet()->setCellValue("A" . $i, "TOTAL");
$spreadsheet->getActiveSheet()->setCellValue("E" . $i, number_format($total, 0, ",", " "));


/*$i = $i + 2;

$letter = Utility::toLetter($total);
$spreadsheet->getActiveSheet()->setCellValue("A".$i, Utility::toLetter($total) );*/


$i = $i + 2;
$spreadsheet->getActiveSheet()->setCellValue("A" . $i, "Cher Client,");


$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("A" . $i, "Veuillez effectuer le paiement de votre facture dès reception de celle-ci.");

$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "Mode de paiement");
$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, " * Chèque à l'ordre de l'English Teaching Program");
$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "à deposer à l'ETP (English Teaching Program),");
$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "22, Lalana Rainitovo Antsahavola,  Antananarivo");

$i = $i + 3;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "Date limite de paiement : $dateLimite");
$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "Merci de votre cooperation");


$i = $i + 2;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "Antananarivo, $date");


$i = $i + 5;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "Vonimalala RAZANADRAKOTO");
$i = $i + 1;
$spreadsheet->getActiveSheet()->setCellValue("B" . $i, "ETP DIRECTOR");





$writer = new Xlsx($spreadsheet);
ob_start() ;

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header('Content-Disposition: attachment; filename="'. urlencode("facturePT.xlsx").'"');

$writer->save('php://output'); 
exit() ;	

ob_end_clean() ;