<?php
// require('fpdf.php');

$pdf = new FPDF();
$pdf->AddPage();
$pdf->AddFont("Lexend", "B", "Lexend-Bold.php");
$pdf->AddFont("Lexend", "R", "Lexend-Regular.php");
$pdf->AddFont("Lexend", "M", "Lexend-Medium.php");
$pdf->AddFont("Lexend", "L", "Lexend-Light.php");
$pdf->AddFont("Lexend", "SB", "Lexend-SemiBold.php");

// ============== Numero Facture ======== //
$pdf->SetFont('Lexend', 'B', 12);
$pdf->Cell(190, 5, utf8_decode("FACTURE N° {$numero}/{$numeroTerm}/{$facture[0]->anneeExercice}/{$facture[0]->codeClass}"), 0, 1, "R");
$pdf->Ln(5);


// ============== Refference ETP ======== //
$pdf->SetFont('Lexend', 'B', 11);
$pdf->Cell(190, 5, 'English Teaching Program', 0, 1, "L");
// ============== Exercice Année ======== //
$pdf->SetFont('Lexend', 'M', 9);
$pdf->Cell(15, 5, utf8_decode('Année : '), 0, 0, "L");
$pdf->SetFont('Lexend', 'L', 9);
$pdf->Cell(175, 5, $facture[0]->anneeExercice, 0, 1, "L");
// ============== Term ======== //
$pdf->SetFont('Lexend', 'M', 9);
$pdf->Cell(15, 5, utf8_decode('Période : '), 0, 0, "L");
$pdf->SetFont('Lexend', 'L', 9);
$pdf->Cell(175, 5, utf8_decode($facture[0]->nomTerm), 0, 1, "L");


// ============== Refference COMPANY ======== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(135, 5, 'Doit : ', 0, 0, "R");
// ============== Nom Company ======== //
$pdf->SetFont('Lexend', 'R', 10);
$pdf->Cell(55, 5, utf8_decode($facture[0]->nomCompany), 0, 1, "L");
// ============== Adresse Company ======== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(135, 5, '', 0, 0, "R");
$pdf->Cell(45, 5, utf8_decode($facture[0]->adresseCompany), 0, 1, "L");


$pdf->Ln(2);

// ============== Table Etudiants ======== //
// ============== Thead ======== //
$pdf->SetFont('Lexend', 'SB', 9);
$pdf->Cell(28.5, 8, utf8_decode('N° '), 1, 0, "L");
$pdf->Cell(57, 8, utf8_decode('Nom et prénoms'), 'TBR', 0, "L");
$pdf->Cell(38, 8, utf8_decode('Frais de test de niveau'), 'TBR', 0, "L");
$pdf->Cell(19, 8, utf8_decode('Quantité'), 'TBR', 0, "C");
$pdf->Cell(47.5, 8, utf8_decode('Totale'), 'TBR', 1, "L");
// ============== Tbody ======== //
$pdf->SetFont('Lexend', 'L', 9);
$total = 0;
foreach ($facture as $fact) {
    $pdf->Cell(28.5, 7, utf8_decode($fact->numeroPT), 'BRL', 0, "L");
    $pdf->Cell(57, 7, substr(utf8_decode($fact->nom . " " . $fact->prenom), 0, 25), 'BR', 0, "L");
    $pdf->Cell(38, 7, utf8_decode(number_format($fact->montantPaye, 0, ",", " ")), 'BR', 0, "L");
    $pdf->Cell(19, 7, utf8_decode('1'), 'BR', 0, "C");
    $pdf->Cell(47.5, 7, number_format($fact->montantPaye, 0, ",", " "), 'BR', 1, "L");
    $total += (int)$fact->montantPaye;
}
// ============== Totale ======== //
$pdf->SetFont('Lexend', 'M', 9);
$pdf->Cell(142.5, 7, utf8_decode('TOTAL'), 'BRL', 0, "C");
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(47.5, 7, number_format($total, 0, ",", " "), 'BR', 1, "L");


$pdf->Ln(3);

// ============== Totale ======== //
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(77, 5, utf8_decode('Arrêtée la présente facture à la somme de: '), 0, 0, "L");
$pdf->SetFont('Lexend', 'R', 10);
$pdf->Cell(113, 5, Utility::toLetter($total).' ARIARY', 0, 1, "L");

$pdf->Ln(4);

// ============== Avertissement clients ======== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(190, 5, utf8_decode('Cher Client,'), 0, 1, "L");
$pdf->Cell(190, 5, utf8_decode('Veuillez effectuer le paiement de votre facture dès reception de celle-ci.'), 0, 1, "L");


$pdf->Ln(3);
// ============== Mode de paiement ======== //
$pdf->SetFont('Lexend', 'SB', 9);
$pdf->Cell(190, 5, utf8_decode('Mode de paiement : '), 0, 1, "L");
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(33, 5, utf8_decode(""), 0, 0, "L");
$pdf->Cell(152, 5, utf8_decode("* Chèque à l'ordre de l'English Teaching Program à deposer à l'ETP (English Teaching Program)"), 0, 1, "L");
$pdf->Cell(35, 5, utf8_decode(""), 0, 0, "L");
$pdf->Cell(155, 5, utf8_decode("22, Lalana Rainitovo Antsahavola,  Antananarivo "), 0, 1, "L");

$pdf->Ln(3);
// ============== Mode de paiement ======== //
$pdf->SetFont('Lexend', 'SB', 9);
$pdf->Cell(47, 5, utf8_decode('Date de limite de paiement : '), 0, 0, "L");
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(143, 5, $dateLimite , 0, 1, "L");


$pdf->Ln(3);
// ============== Mode de paiement ======== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(190, 5, utf8_decode('Merci de votre cooperation.'), 0, 1, "L");

$pdf->Ln(7);
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(190, 5, utf8_decode("Antananarivo, le $date"), 0, 1, "L");

$pdf->Ln(17);
$pdf->SetFont('Lexend', 'SB', 9);
$pdf->Cell(190, 5, utf8_decode("Vonimalala RAZANADRAKOTO"), 0, 1, "L");
$pdf->Cell(190, 5, utf8_decode("ETP DIRECTOR"), 0, 1, "L");



$pdf->Output();
