<?php


$pdf = new FPDF();
$pdf->AddPage();
$pdf->AddFont("Lexend", "B", "Lexend-Bold.php");
$pdf->AddFont("Lexend", "R", "Lexend-Regular.php");
$pdf->AddFont("Lexend", "M", "Lexend-Medium.php");
$pdf->AddFont("Lexend", "L", "Lexend-Light.php");
$pdf->AddFont("Lexend", "SB", "Lexend-SemiBold.php");

$pdf->SetFont('Lexend', 'B', 8);
$pdf->Cell(190, 4, "ENGLISH TEACHING PROGRAM", 0, 1);

$pdf->SetFont('Lexend', 'R', 8);
$pdf->Cell(190, 4, "22, lalana Rainitovo, Antsahavola", 0, 1);
$pdf->Cell(190, 4, utf8_decode("Tél: 020 22 202 38 / 39"), 0, 1);

$pdf->Ln(4);
$pdf->SetLineWidth(0.5);
$pdf->SetFont('Lexend', 'B', 12);
$pdf->Cell(190, 6, utf8_decode("RECU"), 1, 1, 'C');

$pdf->Ln(2);
$pdf->SetFont('Lexend', 'R', 8);
$pdf->Cell(35, 4, utf8_decode("N° Reçu : "), 0, 0);

$pdf->SetFont('Lexend', 'B', 8);
$pdf->Cell(60, 4, "{$recu->numeroPT}  /{$recu->anneeExercice}", 0, 0);

$pdf->SetFont('Lexend', 'R', 8);
$pdf->Cell(35, 4, utf8_decode("Montant (en chiffre) :"), 0, 0);
$pdf->Cell(60, 4, number_format($recu->montantPaye, 2, ".", " ") . " MGA", 0, 1);

$pdf->Cell(35, 4, utf8_decode("Date :"), 0, 0);
$pdf->Cell(60, 4, Utility::format_date(date("Y-m-d")), 0, 0);

$pdf->Cell(35, 4, utf8_decode("Montant (en lettre) :"), 0, 0);
$pdf->Cell(60, 4, Utility::toLetter($recu->montantPaye) . " ARIARY", 0, 1);

$pdf->Cell(35, 4, utf8_decode("Nom :"), 0, 0);
$pdf->Cell(155, 4, strtoupper(Utility::replaceSpeciaux($recu->nom)) . " " . strtoupper(Utility::replaceSpeciaux($recu->prenom)), 0, 1);

$pdf->Cell(35, 4, utf8_decode("Contact :"), 0, 0);
$pdf->Cell(60, 4, utf8_decode(substr($recu->contact . " / " . $recu->email, 0, 38)), 0, 0);

$pdf->Cell(35, 4, utf8_decode("Type of course :"), 0, 0);
$pdf->Cell(60, 4, utf8_decode($recu->codeClass), 0, 1);

$pdf->Line(10, 32, 10, 55);
$pdf->Line(10, 55, 200, 55);
$pdf->Line(200, 32, 200, 55);


$pdf->Ln(10);
$pdf->SetFont('Lexend', 'B', 12);
$pdf->Cell(190, 6, utf8_decode("TEST DE NIVEAU"), 1, 1, 'C');

$pdf->Ln(4);
$pdf->SetLineWidth(0.1);
$pdf->SetFont('Lexend', 'B', 9);
$pdf->Cell(38, 10, utf8_decode(Utility::get_long_date($recu->dateTest)), 1, 0, 'C');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(38, 5, utf8_decode("Test écrit (50MN)"), "TBR", 0, 'C');
$pdf->SetFont('Lexend', 'B', 9);
$pdf->Cell(38, 5, $recu->heureEcrit, "TBR", 0, 'C');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(38, 5, utf8_decode($recu->s_ecrit), "TB", 0, 'C');
$pdf->SetFont('Lexend', 'B', 9);
$pdf->Cell(38, 10, utf8_decode("ETP ANTSAHAVOLA"), 1, 1, 'C');

$pdf->setXY(48, 75);
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(38, 5, utf8_decode("Test oral (10MN)"), "BR", 0, 'C');
$pdf->SetFont('Lexend', 'B', 9);
$pdf->Cell(38, 5, $recu->heureOral, "BR", 0, 'C');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(38, 5, utf8_decode($recu->s_oral), "B", 1, 'C');

$pdf->Ln(4);
$pdf->Cell(80, 8, utf8_decode("Pièce nécessaires lors du test : "), 0, 0);
$pdf->Cell(80, 8, utf8_decode("1 Pièce d'identité + Reçu "), 0, 1);

$pdf->SetFont('Lexend', 'B', 6);
$pdf->Cell(80, 6, utf8_decode("*Veuillez vous présenter 15mn avant le début de votre premier test avec votre reçu, pièce d'identité, crayon et gomme"), 0, 1);

$pdf->SetLineWidth(0.5);
$pdf->Line(10, 66, 10, 97);
$pdf->Line(10, 97, 200, 97);
$pdf->Line(200, 66, 200, 97);

$pdf->SetFont('Lexend', 'B', 12);
$pdf->Ln(4);
$pdf->Cell(190, 6, "INSCRIPTION AUX COURS", 1, 1, "C");
$pdf->SetTextColor(100, 100, 100);
$pdf->Cell(100, 12, utf8_decode(Utility::get_long_date($recu->dateInscription)), "LB", 0, "R");
$pdf->SetTextColor(0, 0, 0);
$pdf->SetFont('Lexend', 'R', 10);
$pdf->Cell(30, 12, utf8_decode("à"), "B", 0, "C");
$pdf->Cell(30, 12, $recu->heureInscription, "B", 0, "C");
$pdf->Cell(30, 12, utf8_decode("à Antsahavola"), "BR", 1);

$pdf->Ln(3);
$pdf->Cell(140, 10, "Signature ETP : ", "LT", 0);
$pdf->Cell(50, 10, "Signature Etudiant : ", "RT", 1);
$pdf->Cell(190, 14, "", "LR", 1);

$pdf->SetFont('Lexend', 'B', 10);
$pdf->Cell(190, 4, "NB :", "LR", 1);
$pdf->SetFont('Lexend', 'L', 7.8);
$pdf->Cell(190, 4, utf8_decode("*Veuillez bien lire et conserver ce reçu car aucune copie ne vous sera délivrée. La date de test mentionnée ci-dessus n'est pas modifiable."), "LR", 1);
$pdf->Cell(190, 4, utf8_decode("*Toute personne ayant effectué le test de niveau doit faire l'inscription aux cours à la date et à l'heure indiquées ci-dessus."), "LR", 1);
$pdf->Cell(47, 4, utf8_decode("*Le choix des horaires doit se faire"), "L", 0);

$pdf->SetFont('Lexend', 'B', 7.8);
$pdf->Cell(18, 4, utf8_decode("uniquement"), 0, 0);
$pdf->SetFont('Lexend', 'L', 7.8);
$pdf->Cell(125, 4, utf8_decode("lors de l'inscription."), "R", 1);
$pdf->Cell(190, 4, "", "LBR", 1);

$pdf->SetLineWidth(2);
$pdf->Line(12, 168, 198, 168);

$pdf->Ln(6);
$pdf->SetLineWidth(0.1);
$pdf->SetFont('Lexend', 'B', 10);
$pdf->Cell(110, 6, "ENGLISH TEACHING PROGRAM", "LT", 0);
$pdf->SetFont('Lexend', 'B', 16);
$pdf->Cell(80, 6, "COPY", 1, 1, "C");
$pdf->SetFont('Lexend', 'L', 8);
$pdf->Cell(110, 6, "22, lalana Rainitovo, Antsahavola", "L", 0);
$pdf->SetFont('Lexend', 'R', 12);
$pdf->Cell(80, 6, "INSCRIPTION", "LR", 1, "C");
$pdf->SetFont('Lexend', 'L', 8);
$pdf->Cell(110, 6, utf8_decode("Tél 020 22 202 38 / 39"), "L", 0);
$pdf->SetFont('Lexend', 'R', 12);
$pdf->Cell(80, 4, "NEW STUDENT", "LR", 1, "C");
$pdf->Cell(110, 6, utf8_decode(""), "L", 0);
$pdf->Cell(80, 6, $recu->heureInscription, "LR", 1, "C");

$pdf->SetFont('Lexend', 'B', 16);
$pdf->Cell(190, 9, "RECU D'INSCRIPTION AU TEST DE NIVEAU", 1, 1, "C");

$pdf->Ln(2);
$pdf->SetFont('Lexend', 'R', 8);
$pdf->Cell(35, 4, utf8_decode("N° Reçu : "), 0, 0);

$pdf->SetFont('Lexend', 'B', 8);
$pdf->Cell(60, 4, "{$recu->numeroPT} /{$recu->anneeExercice}", 0, 0);
$pdf->SetFont('Lexend', 'R', 8);
$pdf->Cell(35, 4, utf8_decode("Montant (en chiffre) :"), 0, 0);
$pdf->Cell(60, 4, number_format($recu->montantPaye, 2, ".", " ") . " MGA", 0, 1);

$pdf->Cell(35, 4, utf8_decode("Date :"), 0, 0);
$pdf->Cell(60, 4, Utility::format_date(date("Y-m-d")), 0, 0);

$pdf->Cell(35, 4, utf8_decode("Montant (en lettre) :"), 0, 0);
$pdf->Cell(60, 4, Utility::toLetter($recu->montantPaye) . " ARIARY", 0, 1);

$pdf->Cell(35, 4, utf8_decode("Nom :"), 0, 0);
$pdf->Cell(155, 4, strtoupper(Utility::replaceSpeciaux($recu->nom)) . " " . strtoupper(Utility::replaceSpeciaux($recu->prenom)), 0, 1);

$pdf->Cell(35, 4, utf8_decode("Contact :"), 0, 0);
$pdf->Cell(60, 4, utf8_decode(substr($recu->contact . " / " . $recu->email, 0, 38)), 0, 0);

$pdf->Cell(35, 4, utf8_decode("Type of course :"), 0, 0);
$pdf->Cell(60, 4, utf8_decode($recu->codeClass), 0, 1);

$pdf->Line(10, 204, 10, 225);
$pdf->Line(10, 225, 200, 225);
$pdf->Line(200, 204, 200, 225);

$pdf->Ln(4);
$pdf->SetFont("Lexend", "B", 12);
$pdf->Cell(47.5, 8, "TEST DE NIVEAU :", 0, 0);

$pdf->SetFont("Lexend", "L", 10);
$pdf->Cell(47.5, 8, utf8_decode("Test écrit :"), 0, 0, "C");
$pdf->Cell(47.5, 8, utf8_decode(Utility::get_long_date($recu->dateTest)), 0, 0, "C");
$pdf->Cell(23.75, 8, $recu->heureEcrit, 0, 0, "C");
$pdf->Cell(23.75, 8, $recu->s_ecrit, 0, 1, "C");

$pdf->Cell(47.5, 4, "", 0, 0);
$pdf->Cell(47.5, 4, utf8_decode("Test oral :"), 0, 0, "C");
$pdf->Cell(47.5, 4, utf8_decode(""), 0, 0, "C");
$pdf->Cell(23.75, 4, $recu->heureOral, 0, 0, "C");
$pdf->Cell(23.75, 4, $recu->s_oral, 0, 1, "C");

$pdf->Cell(80, 8, utf8_decode("Pièce à fournir lors du test:"), 0, 0);
$pdf->Cell(110, 8, utf8_decode("Reçu + 1 Pièce d'identité"), 0, 1, "C");

$pdf->Line(10, 225, 10, 248);
$pdf->Line(10, 248, 200, 248);
$pdf->Line(200, 225, 200, 248);

$pdf->Ln(3);
$pdf->Cell(140, 10, "Signature ETP : ", 0, 0);
$pdf->Cell(50, 10, "Signature Etudiant : ", 0, 1);



$pdf->Output();
