<?php 

class Home extends CI_Controller{

	public function __construct()
	{
		parent::__construct();

		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("EnseignantModel","enseignant");
		$this->load->model("SalleModel","salle");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");
		$this->load->model("HoraireCoursModel","horaire");
		$this->load->model("RepartitionCoursModel","repartition");
	}

	public function index()
	{
		$data["active"] = 1;
		$data["action"] = "create";
		$data["first"] = true;
		$data["lists"] = $this->repartition->getAll();

		$exercices = $this->exercice->getAll();
		$data["exercices"] = $exercices;
		$data["terms"] = [];
		
		if(count($exercices))
		{
			$data["terms"] = $this->term->getAllByExercice($exercices[0]->idExercice);
		}

		$data["enseignants"] = $this->enseignant->getAll();
		$data["salles"] = $this->salle->getAll();
		
		$classes = $this->classe->getAll();
		$niveaux = [];
		$days = [];
		$data["classes"] = $classes;
		$data["niveaux"] = [];

		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}

		if(count($niveaux))
		{
			$days = explode("|", $niveaux[0]->joursCours);
		}
		
		$data["horaires"] = $this->horaire->getAll();
		$data["niveaux"] = $niveaux;
		$data["days"] = $days;

		$this->load->view("inscription/index",$data);
	}

	public function getTerm()
	{
		$idExercice = (int)$_POST['idExercice'];
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		$this->load->view("inscription/components/term_inscription",$data);
	}
	/*public function getNiveau()
	{
		$idClasse = (int)$_POST["idClasse"];
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["template"] = true;
		$this->load->view("inscription/components/niveau_inscription",$data);
	}*/

	public function getJoursCours()
	{
		$idNiveau = (int)$_POST['idNiveau'];
		$res = $this->niveau->getOne($idNiveau);

		$data["days"] = explode("|",$res->joursCours);
		$this->load->view("inscription/components/jours_cours_inscription",$data);
	}


}