<?php 

class Salle extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("SalleModel","salle");

	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 3;
		$data["action"] = $action;
		$data["lists"] = $this->salle->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/salle",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");

		$this->form_validation->set_rules("nom","nom","required|is_unique[salle.nomSalle]",["required" => "Ce champ est obligatoire","is_unique" => "Ce nom salle existe déjà"]);
		$this->form_validation->set_rules("capacite","capacite","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$nom = trim($_POST["nom"]);
		$capacite = (int)$_POST["capacite"];
		$description = trim($_POST["description"]);

		$this->salle->create(["nomSalle","capaciteSalle","descriptionSalle"],[$nom,$capacite,$description]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->salle->getOne($id);
		$this->index("update",[
			"id" => $res->idSalle,
			"nom" => $res->nomSalle,
			"capacite" => $res->capaciteSalle,
			"description" => $res->descriptionSalle
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");

		$this->form_validation->set_rules("nom","nom","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("capacite","capacite","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$nom = trim($_POST["nom"]);
		$capacite = (int)$_POST["capacite"];
		$description = trim($_POST["description"]);
		$id = (int)$_POST["id"];

		$toUpdate = $this->salle->getOne($id);
		if($nom !== $toUpdate->nomSalle)
		{
			$this->form_validation->set_rules("nom","nom","is_unique[salle.nomSalle]",["is_unique" => "Ce nom salle existe déjà"]);
			if(!$this->form_validation->run())
			{
				$this->index("update",$_POST);
				return false;
			}	
		}

		$this->salle->update(["nomSalle","capaciteSalle","descriptionSalle"],[$nom,$capacite,$description,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->salle->delete($id);
		$this->index("create",Utility::getAlert("success","Salle supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index("create");
			return false;
		}

		$data["active"] = 3;
		$data["action"] = "create";
		$data["lists"] = $this->salle->getAllSearch("%".$query."%");
		$data["query"] = $query;

		$this->load->view("parametrage/salle",$data);
	}


}