<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model("UserModel","user");
	}
	
	public function index()
	{

		$method = $this->input->method();

		if(strtolower($method) === "get")
		{
			$this->load->view('login');
		}
		else
		{
			$this->verification();
		}
	}



	/**
	 * Athentification
	 * */
	private function verification()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("identifiant","identifiant","required",["required" => "Ce champ est requis"]);
		$this->form_validation->set_rules("password","password","required",["required" => "Ce champ est requis"]);

		if(!$this->form_validation->run())
		{
			$data["post"] = $_POST;
			$this->load->view('login',$data);
			return false;
		}

		$username = trim($_POST['identifiant']);
		$password = $_POST['password'];


		$login = $this->user->login($username,$password);
		$nologin = false;
		



		if(!$login)
		{
			$user = $this->user->verify($username);
			if($user != false){
				$restPass = $this->user->getUser($user->id);

				if (!empty($restPass)) {
					if(!password_verify($password, $restPass->password))
					{
						$nologin= true;
					}
				}else{
					$nologin= true;
				}

			}else{
				$nologin= true;
			}

			$login = $this->user->verify($username);
		}
		
		if($nologin){
			$data["post"] = $_POST;
			$data["login_error"] = true;
			$this->load->view('login',$data);
			return false;
		}
		

		$userdata = [
			"username" => $login->username,
			"userID" => $login->id
		];

		$this->session->set_userdata($userdata);

		redirect(base_url());
	}

}
