<?php 

class Budget extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("BudgetModel","budget");
        $this->load->model("ClasseModel","classe");
	}

	public function index()
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];

		if(count($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice);
		}
		$data["exercices"] = $exercices;
		$data["terms"] = $terms;
		$this->load->view("budget/budget",$data);
	}

	public function display()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->resetForm();
			return false;
		}
		$type = htmlspecialchars($_POST['type']);
        $exercice = (int) $_POST['exercice'];
        $term = (int) $_POST['term'];
        $dateDebut = $_POST['debut'];
        $dateFin = $_POST['fin'];


        $data = $this->budget->getResults($type,$exercice, $term, $dateDebut, $dateFin);

        $count = 0;
        $espece = 0;
        $cheque = 0;
        $credit = 0;
        $mobile = 0;

        foreach($data as $types)
        {
            foreach($types as $compagnies)
            {
                $count += count($compagnies);
                foreach($compagnies as $k => $company)
                {
                    if(isset($company->ecolage))
                    {
                        $montantDue = $this->budget->getMontantDue((int)$company->ecolage,$company->priorite,$company->idRemise);
                        $compagnies[$k]->montantDue = $montantDue;

                        if($company->modePaiement === "espece")
                        {
                            $espece += $montantDue;
                        }
                        else if($company->modePaiement === "cheque")
                        {
                            $cheque += $montantDue;
                        }
                        else if($company->modePaiement === "credit")
                        {
                            $credit += $montantDue;
                        }
                        else if($company->modePaiement === "mobile monnaie")
                        {
                            $mobile += $montantDue;
                        }

                    }
                    if(isset($company->montantPaye))
                    {
                        if($company->modePaiement === "espece")
                        {
                            $espece += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "cheque")
                        {
                            $cheque += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "credit")
                        {
                            $credit += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "mobile monnaie")
                        {
                            $mobile += (int)$company->montantPaye;
                        }
                    }
                }
            }
        }

        $result = (object)[
        	"espece" => number_format($espece,0,"."," "),
            "cheque" => number_format($cheque,0,"."," "),
            "credit" => number_format($credit,0,"."," "),
            "mobile" => number_format($mobile,0,"."," "),
            "total" => number_format($espece + $credit + $cheque + $mobile,0,"."," ")
        ];

		$this->resetForm($result);
	}

	public function print()
    {

        $this->form_validation->set_error_delimiters("","");
        $this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);

        if(!$this->form_validation->run())
        {
            return false;
        }
        $type = htmlspecialchars($_POST['type']);
        $exercice = (int) $_POST['exercice'];
        $term = (int) $_POST['term'];
        $dateDebut = $_POST['debut'];
        $dateFin = $_POST['fin'];




        $data = $this->budget->getResults($type,$exercice, $term, $dateDebut, $dateFin);
        

        $count = 0;
        $espece = 0;
        $cheque = 0;
        $credit = 0;
        $mobile = 0;

        
        foreach($data as $types)
        {

            foreach($types as $compagnies)
            {
                $count += count($compagnies);
                foreach($compagnies as $k => $company)
                {

                    if(isset($company->ecolage))
                    {
                        $montantDue = $this->budget->getMontantDue((int)$company->ecolage,$company->priorite,$company->idRemise);
                        $compagnies[$k]->montantDue = $montantDue;

                        if($company->modePaiement === "espece")
                        {
                            $espece += $montantDue;
                        }
                        else if($company->modePaiement === "cheque")
                        {
                            $cheque += $montantDue;
                        }
                        else if($company->modePaiement === "credit")
                        {
                            $credit += $montantDue;
                        }
                        else if($company->modePaiement === "mobile monnaie")
                        {
                            $mobile += $montantDue;
                        }
                    }

                    if(isset($company->montantPaye))
                    {
                        if($company->modePaiement === "espece")
                        {
                            $espece += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "cheque")
                        {
                            $cheque += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "credit")
                        {
                            $credit += (int)$company->montantPaye;
                        }
                        else if($company->modePaiement === "mobile monnaie")
                        {
                            $mobile += (int)$company->montantPaye;
                        }
                    }

                }
            }
        }


        $results["dateDebut"] = $dateDebut;
        $results["dateFin"] = $dateFin;
        $results["heureDebut"] = null;
        $results["heureFin"] = null;
        
        $results["term"] = $this->term->getOne($term)->nomTerm;
        $results['exercice'] = $this->exercice->getOne($exercice)->anneeExercice;
        $classes = $this->classe->getAll();
        
        $results["data"] = $data;



        $allClass = [];
        foreach($classes as $c)
        {
            $allClass[] = $c->codeClasse;
        }

        $results["allClass"] = $allClass;
        $results["espece"] = number_format($espece,0,"."," ");
        $results["cheque"] = number_format($cheque,0,"."," ");
        $results["credit"] = number_format($credit,0,"."," ");
        $results["mobile"] = number_format($mobile,0,"."," ");
        $results["count"] = $count;
        

        $this->load->view("budget/components/etat",$results);
    }

	private function resetForm($result = null)
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];

		if(isset($_POST["exercice"]))
		{
			$terms = $this->term->getAllByExercice((int)$_POST["exercice"]);
		}
		$data["exercices"] = $exercices;
		$data["terms"] = $terms;

		if($result)
		{
			$data["result"] = $result;
		}

		$data["values"] = $_POST;
		$this->load->view("budget/budget",$data);
	}


}