<?php 

class ResultatOnline extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ResultatOnlineModel","resultat");
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");

		$this->load->model("NoteExamenOnlineModel","note");
		$this->load->model("InscriptionCoursModel","inscription");
	}

	public function index($values=null)
	{
		$data["active"] = 2;
		$data["lists"] = $this->resultat->getAll();

		$exercices = $this->exercice->getAll();
		$data["exercices"] = $exercices;
		
		if(count($exercices))
		{
			$data["terms"] = $this->term->getAllByExercice($exercices[0]->idExercice);
		}

		$classes = $this->classe->getAll();
		$niveaux = [];

		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("examen/resultatOnline",$data);
	}

	public function resetFormList($values)
	{
		$data["active"] = 2;
		$data["lists"] = $this->resultat->getAll();

		$exercices = $this->exercice->getAll();
		$data["exercices"] = $exercices;
		if(isset($values["exercice"]))
		{
			$data["terms"] = $this->term->getAllByExercice((int)$values["exercice"]);
		}

		$classes = $this->classe->getAll();
		$niveaux = [];

		if(isset($values["classe"]))
		{
			$niveaux = $this->niveau->getByClasse((int)$values["classe"]);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;

		$data["values"] = $values;

		$this->load->view("examen/resultatOnline",$data);
	}


	public function generateList()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("niveau","niveau","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->resetFormList($_POST);
			return false;
		}

		$niveau = (int)$_POST["niveau"];
		$term = (int)$_POST['term'];

		if($this->note->isEmpty($niveau,$term))
		{
			$etudiants = $this->inscription->getEtudiantByTermAndNiveauOnline($niveau,$term);

			foreach($etudiants as $etu)
			{
				$this->note->create(["matriculeEtudiant","idTerm","idNiveau"],[$etu->matriculeEtudiant,$term,$niveau]);
			}
		}

		$this->resetFormList(array_merge($_POST,[
			"open_modal" => "<script>openModalResultOnline()</script>"
		]));
	}

	public function getList()
	{
		$niveau = (int)$_POST["niveau"];
		$term = (int)$_POST['term'];

		$session = $this->term->getOne($term);
		$niv = $this->niveau->getOne($niveau);

		$data["session"] = $session;
		$data["niveau"] = $niv;

		$data["etudiants"] = $this->note->getListEtudiants($niveau,$term);

		$this->load->view("examen/components/modal_resultat_online",$data);
	} 

	public function saisieNote()
	{
		$notes95 = $_POST['notes95'];
		$notes5 = $_POST['notes5'];
		$ids = $_POST['ids'];

		foreach($notes95 as $k => $note95)
		{
			if(trim($note95) === "")
			{
				$note95 = null;
			}
			else
			{
				$note95 = (float)$note95;
			}

			$note5 = $notes5[$k]; 
			if(trim($note5) === "")
			{
				$note5 = null;
			}
			else
			{
				$note5 = (float)$note5;
			}

			$this->note->update(["note95","note5"],[$note95,$note5,$ids[$k]]);
		}
	}



}