<?php 

class Inscription extends CI_Controller{


	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("InscriptionCoursModel","inscription");
		$this->load->model("EtudiantModel","etudiant");
		
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");
		$this->load->model("RemiseModel","remise");
		$this->load->model("FraisModel","frais");
		$this->load->model("RemiseModel","remise");
		$this->load->model("HoraireCoursModel","horaire");
		
		$this->load->model("EtudiantCoursModel","etuCours");
		$this->load->model("RepartitionCoursModel","repartition");
		
		$this->load->model("ResultatPTModel","resultatPT");
		$this->load->model("EtudiantPTModel","etuPT");

		$this->load->model("ResultatExamenModel","resultat");

		$this->load->model("ListeAttenteModel","attente");

	}

	public function index($action="create",$values=null,$page=1)
	{
		$data["active"] = 1;
		$data["action"] = $action;
		$offset = ($page - 1) * LIMIT_PAGINATION;
		$data["lists"] = $this->inscription->getAll($offset);

		if($values)
		{
			$data["values"] = $values;
		}

		$exercices = $this->exercice->getAll();
		$terms = [];
		if(!empty($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice); 
		}
		$data["exercices"] = $exercices;
		$data["terms"] = $terms;

		$data["totals"] = $this->inscription->getCount();
		$data["currentPage"] = $page;


		$this->load->view("inscription/inscription",$data);
	}

	public function page($number)
	{
		$page = (int)$number;
		if($page <= 0)
		{
			$page = 1;
		}

		if(isset($_GET["query"]))
		{
			$query = htmlspecialchars(trim($_GET['query']));
			$total = $this->inscription->getCountSearch("%" .$query."%");
			$npages = ceil($total/LIMIT_PAGINATION);

			if($page > $npages)
			{
				$page = $npages;
			}
			$_POST['query'] = $query;
			$this->filter($page);
		}
		else
		{
			$total = $this->inscription->getCount();
			$npages = ceil($total/LIMIT_PAGINATION);

			if($page > $npages)
			{
				$page = $npages;
			}
			$this->index("create",null,$page);
		}
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("numero", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("exercice", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("term", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("classe", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("niveau", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("ecolage", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("jours", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("mode-paiement", "alias", "required",["required" => "Ce champ est obligatoire"]);

        if(isset($_POST['jours']) && trim($_POST["jours"] !== "Online"))
        {
	        $this->form_validation->set_rules("horaire", "alias", "required",["required" => "Ce champ est obligatoire"]);
	        $this->form_validation->set_rules("salle", "alias", "required",["required" => "Ce champ est obligatoire"]);
        }

        if(!$this->form_validation->run())
        {
        	$this->resetForm("create",$_POST);
        	return false;
        }

        $term = (int)$_POST["term"];
        $idEtudiant = (int)$_POST["id-etudiant"];
        $niveau = (int)$_POST['niveau'];
        $jours = trim($_POST['jours']);
        $horaire = null;
        $salle = null;

        if($jours !== "Online")
        {
        	$horaire = (int)$_POST['horaire'];
        	$salle = (int)$_POST["salle"];
        }
        $remise = (int)$_POST['remise'];
        $modePaiement = trim($_POST['mode-paiement']);

        $ecolage = $this->getEcolage($niveau,$jours,$horaire);
        $ecolageRemise = (int)$_POST['ecolage'];

        $matricule = $_POST['numero'];

        if(strpos($matricule, 'PT') != false)
        {
        	$matricule = $this->etudiant->getLastMatricule();
	        $matricule = $matricule + 1;
        }
        else{
        	$matricule = (int)$_POST['numero'];
        }


        /**
         * Test doublon inscription
         * 
         * */

        if($this->inscription->isExist($matricule,$term))
        {
        	$this->resetForm("create",array_merge($_POST,Utility::getAlert("error","Etudiant déjà inscrit à cette session")));
        	return false;
        }

        // if(!$this->etudiant->getByMatricule($matricule))
        // {
        // 	$matricule = $this->etuCours->create($idEtudiant);
        // }

		$idClasse = trim($_POST["classe"]);
		$codeClasse = $this->classe->getOne($idClasse);
		$codeClasse = $codeClasse->codeClasse;

		$this->etudiant->update(["codeClass"], [$codeClasse, $idEtudiant]);


        $this->inscription->create(["matriculeEtudiant", "idTerm", "idHoraireCours", "ecolage", "idRemise", "modePaiement", "joursCours", "isValid", "idNiveau","idSalle","ecolageRemise"], [$matricule, $term, $horaire, $ecolage, $remise, $modePaiement, $jours, 0, $niveau, $salle, $ecolageRemise]);

        $this->repartition->updateOccupation($term,$horaire,$jours,$salle,$niveau);

        $numeroFacture = $this->inscription->getLastIdInserted();
        $this->inscription->generateFacture($numeroFacture, $matricule);

        $this->attente->delete($idEtudiant);


        $this->index("create",Utility::getAlert("success"));

	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->inscription->getOne($id);

		$data["active"] = 1;
		$data["action"] = "update";
		$data["lists"] = $this->inscription->getAll();

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($res->idExercice);
		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($res->idClasse);
		$data["days"] = explode("|",$res->days);
		$data["remises"] = $this->remise->getAll();
		$data["horaires"] = $this->repartition->findHoraires($res->joursCours,$res->idNiveau,$res->idTerm);
		$data["salles"] = $this->repartition->findSalles($res->joursCours,$res->idNiveau,$res->idTerm,$res->idHoraireCours);

		$data["values"] = [
			"id" => $res->idInscriptionCours,
			"exercice" => $res->idExercice,
			"term" => $res->idTerm,
			"numero" => str_pad($res->matriculeEtudiant,5,"0",STR_PAD_LEFT),
			"fullname" => $res->nom . " " . $res->prenom,
			"classe" => $res->idClasse,
			"niveau" => $res->idNiveau,
			"jours" => $res->joursCours,
			"remise" => $res->idRemise,
			"horaire" => $res->idHoraireCours,
			"salle" => $res->idSalle,
			"ecolage" => $res->ecolageRemise,
			"mode-paiement" => $res->modePaiement
		];

		$data["totals"] = $this->inscription->getCount();

		$this->load->view("inscription/inscription",$data);

	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("numero", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("classe", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("niveau", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("ecolage", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("jours", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("mode-paiement", "alias", "required",["required" => "Ce champ est obligatoire"]);

        if(isset($_POST['jours']) && trim($_POST["jours"] !== "Online"))
        {
	        $this->form_validation->set_rules("horaire", "alias", "required",["required" => "Ce champ est obligatoire"]);
	        $this->form_validation->set_rules("salle", "alias", "required",["required" => "Ce champ est obligatoire"]);
        }

        $id = (int)$_POST['id'];
        $toUpdate = $this->inscription->getOne($id);

        if(!$this->form_validation->run())
        {
        	$this->resetForm("update",array_merge($_POST,[
        		"exercice" => $toUpdate->idExercice
        	]));
        	return false;
        }

        $niveau = (int)$_POST['niveau'];
        $jours = trim($_POST['jours']);
        $horaire = null;
        $salle = null;
        $term = (int)$_POST['term'];

        if($jours !== "Online")
        {
        	$horaire = (int)$_POST['horaire'];
        	$salle = (int)$_POST["salle"];
        }
        $remise = (int)$_POST['remise'];
        $modePaiement = trim($_POST['mode-paiement']);

        $ecolage = $this->getEcolage($niveau,$jours,$horaire);
        $ecolageRemise = (int)$_POST['ecolage'];

        $this->inscription->update(["idHoraireCours", "ecolage", "idRemise", "modePaiement", "joursCours", "isValid", "idNiveau","idSalle","ecolageRemise"], [$horaire, $ecolage, $remise, $modePaiement, $jours, 0, $niveau,$salle,$ecolageRemise,$id]);

        if((int)$toUpdate->idNiveau === $niveau)
        {
        	if((int)$toUpdate->idSalle !== $salle)
        	{
        		$this->repartition->updateOccupation($term,$horaire,$jours,$salle,$niveau);
        		$this->repartition->updateOccupation($term,$toUpdate->idHoraireCours,$toUpdate->joursCours,$toUpdate->idSalle,$niveau,-1);
        	}
        }
        else
        {
        	$this->repartition->updateOccupation($term,$horaire,$jours,$salle,$niveau);
        	$this->repartition->updateOccupation($term,$toUpdate->idHoraireCours,$toUpdate->joursCours,$toUpdate->idSalle,$toUpdate->idNiveau,-1);
        }


        $this->index("create",Utility::getAlert("success"));
	}


	public function delete()
	{
		$id = (int)$_POST['id'];
		
		$toDelete = $this->inscription->getOne($id);

		$this->repartition->updateSpecial($toDelete->idTerm, $toDelete->idHoraireCours, $toDelete->joursCours, $toDelete->idSalle, $toDelete->idNiveau);

		$this->inscription->delete($id);

		if(!$this->inscription->getByMatricule($toDelete->matriculeEtudiant))
		{
			$this->etuCours->delete($toDelete->matriculeEtudiant);
		}

		$this->inscription->deleteFacture($id);
		$this->index("create",Utility::getAlert("success","Inscription supprimé"));
		
	}

	public function createWaiting()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("numero", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("exercice", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("term", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("classe", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("niveau", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("ecolage", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("jours", "alias", "required",["required" => "Ce champ est obligatoire"]);
        $this->form_validation->set_rules("mode-paiement", "alias", "required",["required" => "Ce champ est obligatoire"]);

        if(!$this->form_validation->run())
        {
        	$this->resetForm("create",$_POST);
        	return false;
        }
        $term = (int)$_POST["term"];
        $idEtudiant = (int)$_POST["id-etudiant"];
        $niveau = (int)$_POST['niveau'];
        $horaire = (int)$_POST['horaire'];


        $this->attente->create(["idEtudiant", "idTerm", "idHoraireCours", "idNiveau"], [$idEtudiant, $term, $horaire,$niveau]);

        $this->index("create",Utility::getAlert("success"));
	}

	public function filter($page=1)
	{
		$query = trim($_POST['query']);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 1;
		$data["action"] = "create";
		$offset = ($page - 1) * LIMIT_PAGINATION;
		$data["lists"] = $this->inscription->getAllSearch("%".$query."%",$offset);

		$exercices = $this->exercice->getAll();
		$terms = [];
		if(!empty($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice); 
		}

		$data["exercices"] = $exercices;
		$data["terms"] = $terms;
		$data["query"] = $query;


		$data["totals"] = $this->inscription->getCountSearch("%".$query."%");
		$data["currentPage"] = $page;

		$this->load->view("inscription/inscription",$data);
	}

	public function export()
	{
		$all = $this->inscription->getAll();


		$data = [];

		foreach ($all as $value) {
			$data[] = (object)[
				"Session" => $value->anneeExercice . " - " . $value->nomTerm,
				"Matricule" => str_pad($value->matriculeEtudiant,5,"0",STR_PAD_LEFT),
				"Nom et prénoms" => $value->nom . " " . $value->prenom,
				"Classe" => $value->codeClass,
				"Niveau" => $value->codeNiveau,
				"Contact" => $value->contact,
				"Compagnie" => $value->nomCompany,
				"Adresse" => $value->adresse,
				"Contact urgence" => $value->contactUrgence,
				"email" => $value->email,
				"Date d'inscription" => $value->createdAt,
				"Mode de paiement" => $value->modePaiement,
			];
		}
		ExportExcel::exporter('inscription', $data);
	}

	public function print()
	{
		$id = (int)$_POST['id'];
        $data['recu'] = $this->inscription->getRecu($id);
        if (!$data['recu']) 
        {
            exit();
        }
        $this->load->view('inscription/components/facture', $data);
	}

	public function getInfo()
	{

        if(strpos($_POST["numero"], 'PT') != false)
        {
			$numero = $_POST["numero"];
        	$etudPt = $this->etuPT->getOne($numero);
        	$testEtu = $this->etudiant->getOne($etudPt->idEtudiant);
        	if(!isset($testEtu->matricule) && $testEtu->matricule != 0)
        	{
				$etu = $this->etudiant->getByMatricule($testEtu->matricule);
				$numero = $testEtu->matricule;
			}
			else{
	        	$matricule = $this->etudiant->getLastMatricule();
	        	$matricule = $matricule + 1;

	        	$this->etudiant->update(['matricule'], [$matricule, $etudPt->idEtudiant]);

				$etu = $this->etudiant->getByMatricule($matricule);
				$numero = $matricule;
			}


        }
        else{
			$numero = (int)$_POST["numero"];
			$etu = $this->etudiant->getByMatricule($numero);
        }



		if($etu)
		{
			$this->getInfoReinscription($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscription($numeroPT);
		}
	}

	public function classeChange()
	{
		$numero = (int)$_POST["numero"];
		$etu = $this->etudiant->getByMatricule($numero);

		if($etu)
		{
			$this->getInfoReinscriptionIfClasseChange($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscriptionIfClasseChange($numeroPT);
		}
	}

	public function niveauChange()
	{
		$numero = (int)$_POST["numero"];
		$etu = $this->etudiant->getByMatricule($numero);

		if($etu)
		{
			$this->getInfoReinscriptionIfNiveauChange($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscriptionIfNiveauChange($numeroPT);
		}
	}

	public function joursChange()
	{
		$numero = (int)$_POST["numero"];
		$etu = $this->etudiant->getByMatricule($numero);

		if($etu)
		{
			$this->getInfoReinscriptionIfJoursChange($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscriptionIfJoursChange($numeroPT);
		}
	}

	public function remiseChange()
	{
		$jours = trim($_POST["jours"] ?? null);
		$niveau = trim($_POST["niveau"] ?? null);
		$horaire = trim($_POST["horaire"] ?? null);
		$idRemise = (int)$_POST['remise'];
		$res = $this->remise->getOne($idRemise);

		$ecolage = 0;
		$valueRemise = 0;
		if($res)
		{
			$valueRemise = (int)$res->valueRemise;
		}

		$frais = $this->frais->getByNiveauAndJours($niveau,$jours);
		if($frais)
		{
			if($frais->idCategorie)
			{
				$hr = $this->horaire->getOne($horaire);
				$frais = $this->frais->getByNiveauAndJoursWithCategory($niveau,$jours,$hr->debutCours);
				if($frais)
				{
					$ecolage = (int)$frais->montant;
				}
			}
			else
			{
				$ecolage = (int)$frais->montant;
			}
		}

		$ecolage = round( ($ecolage * (100 - $valueRemise)) / 100);
		echo json_encode(["ecolage" => $ecolage]);

	}

	public function horaireChange()
	{
		$numero = (int)$_POST["numero"];
		$etu = $this->etudiant->getByMatricule($numero);

		if($etu)
		{
			$this->getInfoReinscriptionIfHoraireChange($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscriptionIfHoraireChange($numeroPT);
		}
	}

	public function salleChange()
	{
		$numero = (int)$_POST["numero"];
		$etu = $this->etudiant->getByMatricule($numero);

		if($etu)
		{
			$this->getInfoReinscriptionIfSalleChange($numero);
		}
		else
		{
			$numero = $numero . "";
			$first = $numero[0];
			$numeroPT = $numero . "/PT/T" . $first;
			
			$this->getInfoInscriptionIfSalleChange($numeroPT);
		}
	}


	/**
	 * Information pour inscription via numeroPT
	 * 
	 * */
	private function getInfoInscription($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = 0;
		$idClasse = 0;
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if($etu)
		{
			$idNiveau = $etu->idNiveau;
			$idClasse = $etu->idClasse;
		}
		else
		{
			$etu = $this->etuPT->getOne($numeroPT);
			if(!$etu)
			{
				exit();
			}
			$res = $this->classe->getByCode($etu->codeClass);
			$idClasse = $res->idClasse;
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		if((int)$idNiveau > 0)
		{
			$niv = $this->niveau->getOne($idNiveau);
			$days = explode("|", $niv->joursCours);
		}
		else
		{
			if(count($data["niveaux"]))
			{
				$idNiveau = $data["niveaux"][0]->idNiveau;
				$days = explode("|", $data["niveaux"][0]->joursCours);
			}
		}

		$data["days"] = $days;
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}


	/**
	 * Information pour inscription si la classe change
	 * 
	 * */
	private function getInfoInscriptionIfClasseChange($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = 0;
		$idClasse = trim($_POST["classe"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if(!$etu)
		{
			$etu = $this->etuPT->getOne($numeroPT);
		}
			
		if(!$etu)
		{
			exit();
		}
		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		if(count($data["niveaux"]))
		{
			$idNiveau = $data["niveaux"][0]->idNiveau;
			$days = explode("|", $data["niveaux"][0]->joursCours);
		}

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour inscription si le niveau change
	 * 
	 * */
	private function getInfoInscriptionIfNiveauChange($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;


		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if(!$etu)
		{
			$etu = $this->etuPT->getOne($numeroPT);
		}
			
		if(!$etu)
		{
			exit();
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour inscription si le jours de cours change
	 * 
	 * */
	private function getInfoInscriptionIfJoursChange($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if(!$etu)
		{
			$etu = $this->etuPT->getOne($numeroPT);
		}
			
		if(!$etu)
		{
			exit();
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$jours,$data["salles"][0]->idSalle);
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour inscription si le horaire de cours change
	 * 
	 * */
	private function getInfoInscriptionIfHoraireChange($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription
		$horaire = trim($_POST["horaire"]);

		$days = []; // jours de cours

		$ecolage = null;


		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if(!$etu)
		{
			$etu = $this->etuPT->getOne($numeroPT);
		}
			
		if(!$etu)
		{
			exit();
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);

			if(count($data["salles"]))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$data["salles"][0]->idSalle);
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					$hr = $this->horaire->getOne($horaire);
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour inscription si la salle change
	 * 
	 * */
	private function getInfoInscriptionIfSalleChange($numeroPT)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription
		$horaire = trim($_POST["horaire"]);
		$salle = trim($_POST["salle"]);

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultPT
		 * si il y a en pas on cherche dans etudiantPT
		 * si il y a en pas on quite
		 * */
		$etu = $this->resultatPT->getByNumeroPT($numeroPT);
		if(!$etu)
		{
			$etu = $this->etuPT->getOne($numeroPT);
		}
			
		if(!$etu)
		{
			exit();
		}
		
		$data["idEtudiant"] = $etu->idEtudiant;

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);

			$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salle);
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					$hr = $this->horaire->getOne($horaire);
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => $etu->numeroPT,
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire,
			"salle" => $salle
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour reinscription
	 * 
	 * */
	private function getInfoReinscription($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = 0;
		$idClasse = 0;
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);
				$class = $this->classe->getByCode($etu->codeClass);
				$idClasse = $class->idClasse;
				$niv = $this->niveau->getByClasse($class->idClasse);
				$niv = $niv[0];
				$idNiveau = $niv->idNiveau;
			}
			else{
				$class = $this->classe->getByCode($etu->codeClass);
				$idClasse = $class->idClasse;
				$niv = $this->niveau->getByClasse($class->idClasse);
				$niv = $niv[0];
				$idNiveau = $niv->idNiveau;

				$niv = $this->niveau->getOne($idNiveau);
				
				$idNiveau = $etu->idNiveau;
				$idClasse = $niv->idClasse;
			}
		}
		else
		{
			$niv = $this->niveau->getOne($idNiveau);
			$idNiveau = $etu->readyTo;
			$idClasse = $niv->idClasse;
		}


		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$days = explode("|",$niv->joursCours);
		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);

		$data["horaires"] = $horaires;
		if(count($horaires))
		{
			$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($data["salles"]))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
			}
		}
		
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule, 5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"ecolage" => $ecolage
		];

		$this->load->view("inscription/components/form_inscription",$data);
	}

	/**
	 * Information pour Reinscription si la classe change
	 * 
	 * */
	private function getInfoReinscriptionIfClasseChange($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = 0;
		$idClasse = trim($_POST["classe"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);

				$niv = $this->niveau->getByClasse($idClasse);
				$niv = $niv[0];
				$idNiveau = $niv->idNiveau;

				$matricule = $etu->matricule;
			}
			else{
				$matricule = $etu->matriculeEtudiant;
			}
		}
		else{
			$matricule = $etu->matriculeEtudiant;
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		if(count($data["niveaux"]))
		{
			$idNiveau = $data["niveaux"][0]->idNiveau;
			$days = explode("|", $data["niveaux"][0]->joursCours);
		}

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					if($data["action"] === "update")
					{
						$toUpdate = $this->inscription->getOne((int)$_POST['id']);
						if($toUpdate->idClasse !== $idClasse)
						{
							$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
						}
					}
					else
					{
						$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
					}
					
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule,5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour reinscription si le niveau change
	 * 
	 * */
	private function getInfoReinscriptionIfNiveauChange($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;


		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);
			}
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					if($data["action"] === "update")
					{
						$toUpdate = $this->inscription->getOne((int)$_POST['id']);
						if($toUpdate->idNiveau !== $idNiveau)
						{
							$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
						}
					}
					else
					{
						$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$data["salles"][0]->idSalle);
					}
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule,5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour reinscription si le jours de cours change
	 * 
	 * */
	private function getInfoReinscriptionIfJoursChange($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);
			}
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			if(count($horaires))
			{
				$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
				if(count($data["salles"]))
				{
					if($data["action"] === "update")
					{
						$toUpdate = $this->inscription->getOne((int)$_POST['id']);
						if($toUpdate->idNiveau === $idNiveau)
						{
							if($toUpdate->joursCours !== $jours)
							{
								$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$jours,$data["salles"][0]->idSalle);
							}
						}
						else
						{
							$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$jours,$data["salles"][0]->idSalle);
						}
					}
					else
					{
						$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$jours,$data["salles"][0]->idSalle);
					}
					
				}
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					if(count($horaires))
					{
						$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$horaires[0]->debutCours);
						if($frais)
						{
							$ecolage = $frais->montant;
						}
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule,5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour reinscription si le horaire de cours change
	 * 
	 * */
	private function getInfoReinscriptionIfHoraireChange($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription
		$horaire = trim($_POST["horaire"]);

		$days = []; // jours de cours

		$ecolage = null;


		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);
			}
		}

		$data["idEtudiant"] = $etu->idEtudiant;
		

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);

			if(count($data["salles"]))
			{
				if($data["action"] === "update")
				{
					$toUpdate = $this->inscription->getOne((int)$_POST['id']);
					if($toUpdate->idNiveau === $idNiveau)
					{
						if($toUpdate->idHoraireCours !== $horaire)
						{
							$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$data["salles"][0]->idSalle);
						}
					}
					else
					{
						$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$data["salles"][0]->idSalle);
					}
				}
				else
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$data["salles"][0]->idSalle);
				}
				
			}
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					$hr = $this->horaire->getOne($horaire);
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule,5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Information pour reinscription si la salle change
	 * 
	 * */
	private function getInfoReinscriptionIfSalleChange($matricule)
	{
		/**
		 * Initialisation variables
		 * */
		$idNiveau = trim($_POST["niveau"]);
		$idClasse = trim($_POST["classe"]);
		$jours = trim($_POST["jours"]);
		$idTerm = (int)$_POST["term"]; // le term qu on a fait l'inscription
		$horaire = trim($_POST["horaire"]);
		$salle = trim($_POST["salle"]);

		$days = []; // jours de cours

		$ecolage = null;

		$data["action"] = trim($_POST["action"]);

		/**
		 * On verifie si il ya de donnée dans resultExamen
		 * si il y a en pas on cherche dans inscriptionCours
		 * 
		 * */
		$etu = $this->resultat->getLastResultat($idTerm,$matricule);

		if(!$etu)
		{
			$etu = $this->inscription->getLastInscription($matricule);
			if(!$etu)
			{
				$etu = $this->etudiant->getOneByMatricule($matricule);
			}
		}
		
		$data["idEtudiant"] = $etu->idEtudiant;

		$data["classes"] = $this->classe->getAll();
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$data["remises"] = $this->remise->getAll();

		$niv = $this->niveau->getOne($idNiveau);
		$days = explode("|", $niv->joursCours);

		$data["days"] = $days;
		
		if(count($days))
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
			$data["horaires"] = $horaires;
			$data["salles"] = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);

			if($data["action"] === "update")
			{
				$toUpdate = $this->inscription->getOne((int)$_POST['id']);
				if($toUpdate->idNiveau === $idNiveau)
				{
					if($toUpdate->idSalle !== $salle)
					{
						$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salle);
					}
				}
				else
				{
					$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salle);
				}
			}
			else
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salle);
			}
			
			
			$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
			if($frais)
			{
				if($frais->idCategorie)
				{
					$hr = $this->horaire->getOne($horaire);
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
				else
				{
					$ecolage = $frais->montant;
				}
			}
		}

		$data["values"] = [
			"numero" => str_pad($matricule,5,"0",STR_PAD_LEFT),
			"fullname" => $etu->nom . " " . $etu->prenom,
			"ecolage" => $ecolage,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire,
			"salle" => $salle
		];
		$this->load->view("inscription/components/form_inscription",$data);

	}

	/**
	 * Reinitialisation formulaire
	 * 
	 * */
	private function resetForm($action,$values)
	{
		$data["action"] = $action;
		$data["values"] = $values;
		$data["active"] = 1;
		$data["lists"] = $this->inscription->getAll();
		$data["totals"] = $this->inscription->getCount();
		
		if(!isset($values["exercice"]))
		{
			$this->load->view("inscription/inscription", $data);
			return false;
		}
		if(!isset($values["term"]))
		{
			$this->load->view("inscription/inscription", $data);
			return false;
		}

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice((int)$values["exercice"]);

		$classes = [];
		$niveaux = [];

		if(isset($values["classe"]))
		{
			$classes = $this->classe->getAll();
			$niveaux = $this->niveau->getByClasse((int)$values["classe"]);
		}

		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;

		$days = [];
		if(isset($values["niveau"]))
		{
			$niv = $this->niveau->getOne((int)$values["niveau"]);
			$days = explode("|", $niv->joursCours);
		}
		$data["days"] = $days;

		$horaires = [];
		if(isset($values["jours"]))
		{
			$horaires = $this->repartition->findHoraires((int)$values["jours"],(int)$values["niveau"],(int)$values["term"]);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(isset($values["horaire"]))
		{
			$salles = $this->repartition->findSalles((int)$values["jours"],(int)$values["niveau"],(int)$values["term"],(int)$values["horaire"]);
		}
		$data["salles"] = $salles;

		$data["values"] = $values;

		$this->load->view("inscription/inscription",$data);
	}

	/**
	 * 
	 * Calcul ecolage à payer
	 * 
	 * */
	private function getEcolage($idNiveau,$jours,$horaire)
	{
		$ecolage = 0;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);

		$hc = $this->horaire->getOne($horaire);

		if($frais)
		{
			if($frais->idCategorie)
			{
				$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hc->debutCours);
				if($frais)
				{
					$ecolage = $frais->montant;
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		return $ecolage;
	}


}