<?php 

class Occupation extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("RepartitionCoursModel","repartition");
	}

	public function index()
	{
		$data["active"] = 2;
		$data["lists"] = $this->repartition->getOccupations();

		$this->load->view("inscription/occupation",$data);
	}

	public function filter()
	{
		$query = trim($_POST['query']);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 2;
		$data["lists"] = $this->repartition->getOccupationsSearch("%".$query."%");
		$data["query"] = $query;

		$this->load->view("inscription/occupation",$data);

	}

	public function export()
	{
		$all = $this->repartition->getOccupations();
		$data = [];

		foreach ($all as $value) {
			$data[] = (object)[
				"Salle" => $value->nomSalle,
				"Horaire" => $value->debutCours.' - '.$value->finCours,
				"Enseignant" => $value->nomEnseignant.' - '.$value->prenomEnseignant,
				"Niveau" => $value->codeNiveau,
				"Classe" => $value->codeClasse,
				"Capacité" => $value->capaciteSalle,
				"Occupation" => $value->occupation
			];
		}
		ExportExcel::exporter('Occupation', $data);
	}


}