<?php 

class Parachute extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");
		$this->load->model("RemiseModel","remise");
		$this->load->model("FraisModel","frais");
		$this->load->model("RemiseModel","remise");
		$this->load->model("HoraireCoursModel","horaire");
		
		$this->load->model("EtudiantCoursModel","etuCours");
		$this->load->model("RepartitionCoursModel","repartition");

		$this->load->model("CompanyModel","company");

		$this->load->model("EtudiantModel","etudiant");
		$this->load->model("InscriptionCoursModel","inscription");
		$this->load->model("ListeAttenteModel","attente");
	}

	public function generateForm()
	{
		$exercices = $this->exercice->getAll();
		$data["exercices"] = $exercices;

		$terms = [];
		$idTerm = 0;
		if(count($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice);
		}
		$data["terms"] = $terms;

		if(count($terms))
		{
			$idTerm = $terms[0]->idTerm;
		}

		$classes = $this->classe->getAll();
		$data["classes"] = $classes;

		$niveaux = [];
		$idNiveau = 0;
		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["niveaux"] = $niveaux;

		$days = [];
		if(count($niveaux))
		{
			$days = explode("|",$niveaux[0]->joursCours);
			$idNiveau = $niveaux[0]->idNiveau;
		}
		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];
		if($days)
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$salles[0]->idSalle);
			}
		}
		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		$data["values"] = ["ecolage" => $ecolage];
		$data["compagnies"] = $this->company->getAll();

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required",["required" => "Ce champ est obligatoire"]);

		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("niveau","niveau","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("jours","jours","required",["required" => "Ce champ est obligatoire"]);

		if(isset($_POST['jours']) && trim($_POST["jours"] !== "Online"))
        {
	        $this->form_validation->set_rules("horaire", "alias", "required",["required" => "Ce champ est obligatoire"]);
	        $this->form_validation->set_rules("salle", "alias", "required",["required" => "Ce champ est obligatoire"]);
        }
		if(!$this->form_validation->run())
		{
			echo "<span error='true'></span>\n";
			$this->resetForm();
			return false;
		}

		$nom = trim($_POST['nom']);
		$prenom = trim($_POST['prenom']);
		$adresse = trim($_POST['adresse']);
		$contact = trim($_POST['contact']);
		$urgence = trim($_POST['urgence']);
		$email = trim($_POST['email']);
		$profession = trim($_POST['profession']);
		$idClasse = trim($_POST['classe']);

		$codeClasse = $this->classe->getOne($idClasse);
		$codeClasse = $codeClasse->codeClasse;

		$compagnie = null;
		$type = "normale";

		if((int)$_POST['compagnie'] > 0)
		{
			$compagnie = (int)$_POST['compagnie'];
			$type = "company";
		}

		$term = (int)$_POST["term"];
        $niveau = (int)$_POST['niveau'];
        $jours = trim($_POST['jours']);
        $horaire = null;
        $salle = null;

        if($jours !== "Online")
        {
        	$horaire = (int)$_POST['horaire'];
        	$salle = (int)$_POST["salle"];
        }

        $remise = (int)$_POST['remise'];
        $modePaiement = trim($_POST['mode-paiement']);

        $ecolage = $this->getEcolage($niveau,$jours,$horaire);
        $ecolageRemise = (int)$_POST['ecolage'];


    	$matricule = $this->etudiant->getLastMatricule();
    	$matricule = $matricule + 1;

        $this->etudiant->create(["nom", "prenom", "adresse", "email", "contact", "contactUrgence", "profession", "codeClass", "idCompany", "typeEtudiant", "matricule"], [$nom, $prenom, $adresse, $email, $contact, $urgence, $profession, $codeClasse, $compagnie, $type, $matricule]);

		$idEtudiant = $this->etudiant->getLast();

		// $matricule = $this->etuCours->create($idEtudiant);

		$this->inscription->create(["matriculeEtudiant", "idTerm", "idHoraireCours", "ecolage", "idRemise", "modePaiement", "joursCours", "isValid", "idNiveau","idSalle","ecolageRemise"], [$matricule, $term, $horaire, $ecolage, $remise, $modePaiement, $jours, 0, $niveau,$salle,$ecolageRemise]);

        $this->repartition->updateOccupation($term,$horaire,$jours,$salle,$niveau);

        $numeroFacture = $this->inscription->getLastIdInserted();
        $this->inscription->generateFacture($numeroFacture, $matricule);

        $this->refresh("create",Utility::getAlert("success"));
	}

	public function waiting()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required",["required" => "Ce champ est obligatoire"]);

		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("niveau","niveau","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("jours","jours","required",["required" => "Ce champ est obligatoire"]);

		$this->form_validation->set_rules("horaire", "alias", "required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->resetForm();
			return false;
		}

		$nom = trim($_POST['nom']);
		$prenom = trim($_POST['prenom']);
		$adresse = trim($_POST['adresse']);
		$contact = trim($_POST['contact']);
		$urgence = trim($_POST['urgence']);
		$email = trim($_POST['email']);
		$profession = trim($_POST['profession']);
		$compagnie = null;
		$type = "normale";

		if((int)$_POST['compagnie'] > 0)
		{
			$compagnie = (int)$_POST['compagnie'];
			$type = "company";
		}

		$term = (int)$_POST["term"];
        $niveau = (int)$_POST['niveau'];
        $jours = trim($_POST['jours']);
        $horaire = (int)$_POST['horaire'];

		$idClasse = trim($_POST['classe']);
		$codeClasse = $this->classe->getOne($idClasse);
		$codeClasse = $codeClasse->codeClasse;

    	$matricule = $this->etudiant->getLastMatricule();
    	$matricule = $matricule + 1;

        $this->etudiant->create(["nom", "prenom", "adresse", "email", "contact", "contactUrgence", "profession", "codeClass", "idCompany", "typeEtudiant", "matricule"], [$nom, $prenom, $adresse, $email, $contact, $urgence, $profession, $codeClasse, $compagnie, $type, $matricule]);

		$idEtudiant = $this->etudiant->getLast();

		// $matricule = $this->etuCours->create($idEtudiant);

		$this->attente->create(["idEtudiant", "idTerm", "idHoraireCours", "idNiveau"], [$idEtudiant, $term, $horaire,$niveau]);

        $this->refresh("create",Utility::getAlert("success"));
	}


	public function onExerciceChange()
	{
		$idExercice = (int)$_POST['exercice'];

		$data["exercices"] = $this->exercice->getAll();

		$terms = $this->term->getAllByExercice($idExercice);
		$data["terms"] = $terms;
		$idTerm = 0;

		if(count($terms))
		{
			$idTerm = $terms[0]->idTerm;
		}

		$classes = $this->classe->getAll();
		$data["classes"] = $classes;

		$niveaux = [];
		$idNiveau = 0;
		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["niveaux"] = $niveaux;

		$days = [];
		if(count($niveaux))
		{
			$days = explode("|",$niveaux[0]->joursCours);
			$idNiveau = $niveaux[0]->idNiveau;
		}
		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];
		if($days)
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$salles[0]->idSalle);
			}
		}
		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => trim($_POST["exercice"]),
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onTermChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$classes = $this->classe->getAll();
		$data["classes"] = $classes;

		$niveaux = [];
		$idNiveau = 0;
		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["niveaux"] = $niveaux;

		$days = [];
		if(count($niveaux))
		{
			$days = explode("|",$niveaux[0]->joursCours);
			$idNiveau = $niveaux[0]->idNiveau;
		}
		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];
		if($days)
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$salles[0]->idSalle);
			}
		}
		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onClasseChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);
		$idClasse = trim($_POST['classe']);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$data["classes"] = $this->classe->getAll();

		$niveaux = $this->niveau->getByClasse($idClasse);
		$idNiveau = 0;

		$data["niveaux"] = $niveaux;

		$days = [];
		if(count($niveaux))
		{
			$days = explode("|",$niveaux[0]->joursCours);
			$idNiveau = $niveaux[0]->idNiveau;
		}
		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];
		if($days)
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$salles[0]->idSalle);
			}
		}
		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm,
			"classe" => $idClasse
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onNiveauChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);
		$idClasse = trim($_POST['classe']);
		$idNiveau = trim($_POST['niveau']);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$data["classes"] = $this->classe->getAll();

		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$niv = $this->niveau->getOne($idNiveau);

		$days = explode("|",$niv->joursCours);

		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];

		if($days)
		{
			$horaires = $this->repartition->findHoraires($days[0],$idNiveau,$idTerm);
		}

		$data["horaires"] = $horaires;

		$salles = [];

		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($days[0],$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$days[0],$salles[0]->idSalle);
			}
		}

		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$days[0]);

		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$days[0],$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm,
			"classe" => $idClasse,
			"niveau" => $idNiveau
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onJoursChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);
		$idClasse = trim($_POST['classe']);
		$idNiveau = trim($_POST['niveau']);
		$jours = trim($_POST['jours']);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$data["classes"] = $this->classe->getAll();

		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$niv = $this->niveau->getOne($idNiveau);

		$days = explode("|",$niv->joursCours);

		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$horaires = [];
		if($days)
		{
			$horaires = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);
		}
		$data["horaires"] = $horaires;

		$salles = [];
		if(count($horaires))
		{
			$salles = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaires[0]->idHoraireCours);
			if(count($salles))
			{
				$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaires[0]->idHoraireCours,$jours,$salles[0]->idSalle);
			}
		}
		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
		if($frais)
		{
			if($frais->idCategorie)
			{
				if(count($horaires))
				{
					$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$horaires[0]->debutCours);
					if($frais)
					{
						$ecolage = $frais->montant;
					}
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onHoraireChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);
		$idClasse = trim($_POST['classe']);
		$idNiveau = trim($_POST['niveau']);
		$jours = trim($_POST['jours']);
		$horaire = trim($_POST["horaire"]);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$data["classes"] = $this->classe->getAll();

		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$niv = $this->niveau->getOne($idNiveau);

		$days = explode("|",$niv->joursCours);

		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$data["horaires"] = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);

		$salles = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);
		if(count($salles))
		{
			$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salles[0]->idSalle);
		}

		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
		if($frais)
		{
			if($frais->idCategorie)
			{
				$hr = $this->horaire->getOne($horaire);
				$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
				if($frais)
				{
					$ecolage = $frais->montant;
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onSalleChange()
	{
		$idTerm = trim($_POST["term"]);
		$idExercice = trim($_POST['exercice']);
		$idClasse = trim($_POST['classe']);
		$idNiveau = trim($_POST['niveau']);
		$jours = trim($_POST['jours']);
		$horaire = trim($_POST["horaire"]);
		$salle = trim($_POST["salle"]);

		$data["exercices"] = $this->exercice->getAll();
		$data["terms"] = $this->term->getAllByExercice($idExercice);
		
		$data["classes"] = $this->classe->getAll();

		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$niv = $this->niveau->getOne($idNiveau);

		$days = explode("|",$niv->joursCours);

		$data["days"] = $days;
		$data["remises"] = $this->remise->getAll();

		$data["horaires"] = $this->repartition->findHoraires($jours,$idNiveau,$idTerm);

		$salles = $this->repartition->findSalles($jours,$idNiveau,$idTerm,$horaire);
		if(count($salles))
		{
			$data["salleInfo"] = $this->repartition->getOccupation($idTerm,$idNiveau,$horaire,$jours,$salle);
		}

		$data["salles"] = $salles;

		$ecolage = null;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);
		if($frais)
		{
			if($frais->idCategorie)
			{
				$hr = $this->horaire->getOne($horaire);
				$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hr->debutCours);
				if($frais)
				{
					$ecolage = $frais->montant;
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		
		$data["compagnies"] = $this->company->getAll();

		$data["values"] = array_merge($this->getPostInfoEtudiant(),[
			"ecolage" => $ecolage,
			"exercice" => $idExercice,
			"term" => $idTerm,
			"classe" => $idClasse,
			"niveau" => $idNiveau,
			"jours" => $jours,
			"horaire" => $horaire,
			"salle" => $salle
		]);

		$this->load->view("inscription/components/form_parachute",$data);
	}

	public function onRemiseChange()
	{
		$jours = trim($_POST["jours"] ?? null);
		$niveau = trim($_POST["niveau"] ?? null);
		$horaire = trim($_POST["horaire"] ?? null);
		$idRemise = (int)$_POST['remise'];
		$res = $this->remise->getOne($idRemise);

		$ecolage = 0;
		$valueRemise = 0;
		if($res)
		{
			$valueRemise = (int)$res->valueRemise;
		}

		$frais = $this->frais->getByNiveauAndJours($niveau,$jours);
		if($frais)
		{
			if($frais->idCategorie)
			{
				$hr = $this->horaire->getOne($horaire);
				$frais = $this->frais->getByNiveauAndJoursWithCategory($niveau,$jours,$hr->debutCours);
				if($frais)
				{
					$ecolage = (int)$frais->montant;
				}
			}
			else
			{
				$ecolage = (int)$frais->montant;
			}
		}

		$ecolage = round( ($ecolage * (100 - $valueRemise)) / 100);
		echo json_encode(["ecolage" => $ecolage]);

	}

	private function getPostInfoEtudiant()
	{
		return [
			"nom" => $_POST['nom'],
			"prenom" => $_POST['prenom'],
			"adresse" => $_POST['adresse'],
			"email" => $_POST['email'],
			"contact" => $_POST['contact'],
			"urgence" => $_POST['urgence'],
			"profession" => $_POST['profession'],
			"compagnie" => $_POST['compagnie'],
		];
	}

	private function resetForm()
	{
		$data["exercices"] = $this->exercice->getAll();

		$idExercice = 0;
		if(isset($_POST['exercice']))
		{
			$idExercice = (int)$_POST['exercice'];
		}
		$data["terms"] = $this->term->getAllByExercice($idExercice); 

		$data["classes"] = $this->classe->getAll();

		$idClasse = 0;
		if(isset($_POST['classe']))
		{
			$idClasse = (int)$_POST['classe'];
		}
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);

		$data["days"] = [];
		if(isset($_POST['niveau']))
		{
			$niv = $this->niveau->getOne((int)$_POST["niveau"]);
			$data["days"] = explode("|",$niv->joursCours);
		}

		$data["remises"] = $this->remise->getAll();

		$data["horaires"] = [];
		$salles = [];
		if(isset($_POST['niveau']) && isset($_POST['jours']) && isset($_POST['term']))
		{
			$data["horaires"] = $this->repartition->findHoraires(trim($_POST['jours']),(int)$_POST['niveau'],(int)$_POST['term']);
			if(isset($_POST['horaire']))
			{
				$salles = $this->repartition->findSalles(trim($_POST['jours']),(int)$_POST['niveau'],(int)$_POST['term'],(int)$_POST['horaire']);
			}
		}

		
		if(count($salles))
		{
			if(isset($_POST['salle']))
			{
				$data["salleInfo"] = $this->repartition->getOccupation((int)$_POST['term'],(int)$_POST['niveau'],(int)$_POST['horaire'],trim($_POST['jours']),(int)$_POST['salle']);
			}
		}

		$data["salles"] = $salles;

		$data["compagnies"] = $this->company->getAll();

		$data["values"] = $_POST;

		$this->load->view("inscription/components/form_parachute",$data);
		

	}
	/**
	 * 
	 * Calcul ecolage à payer
	 * 
	 * */
	private function getEcolage($idNiveau,$jours,$horaire)
	{
		$ecolage = 0;
		$frais = $this->frais->getByNiveauAndJours($idNiveau,$jours);

		$hc = $this->horaire->getOne($horaire);

		if($frais)
		{
			if($frais->idCategorie)
			{
				$frais = $this->frais->getByNiveauAndJoursWithCategory($idNiveau,$jours,$hc->debutCours);
				if($frais)
				{
					$ecolage = $frais->montant;
				}
			}
			else
			{
				$ecolage = $frais->montant;
			}
		}
		return $ecolage;
	}

	private function refresh($action="create",$values=null)
	{
		$data["active"] = 1;
		$data["action"] = $action;
		$data["lists"] = $this->inscription->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$exercices = $this->exercice->getAll();
		$terms = [];
		if(!empty($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice); 
		}
		$data["exercices"] = $exercices;
		$data["terms"] = $terms;

		$data["totals"] = $this->inscription->getCount();
		$data["currentPage"] = 1;


		$this->load->view("inscription/inscription",$data);
	}

}

