<?php  

class Enseignant extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("EnseignantModel","enseignant");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 1;
		$data["action"] = $action;
		$data["lists"] = $this->enseignant->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/enseignant",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("matricule","matricule","required|is_unique[enseignant.matriculeEnseignant]",["required" => "Ce champ est obligatoire","is_unique" => "Ce matricule existe déjà"]);
		$this->form_validation->set_rules("nom","nom","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$matricule = trim($_POST["matricule"]);
		$nom = trim($_POST["nom"]);
		$prenom = trim($_POST["prenom"]);
		$contact = trim($_POST["contact"]);
		$email = trim($_POST["email"]);
		$adresse = trim($_POST["adresse"]);

		$this->enseignant->create(["matriculeEnseignant","nomEnseignant","prenomEnseignant","contactEnseignant","emailEnseignant","adresseEnseignant"],[$matricule,$nom,$prenom,$contact,$email,$adresse]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$matricule = trim($_POST["matricule"]);
		$res = $this->enseignant->getOne($matricule);
		$this->index("update",[
			"matricule" => $res->matriculeEnseignant,
			"nom" => $res->nomEnseignant,
			"prenom" => $res->prenomEnseignant,
			"contact" => $res->contactEnseignant,
			"email" => $res->emailEnseignant,
			"adresse" => $res->adresseEnseignant
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("matricule","matricule","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("nom","nom","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$matricule = trim($_POST["matricule"]);
		$nom = trim($_POST["nom"]);
		$prenom = trim($_POST["prenom"]);
		$contact = trim($_POST["contact"]);
		$email = trim($_POST["email"]);
		$adresse = trim($_POST["adresse"]);

		$this->enseignant->update(["nomEnseignant","prenomEnseignant","contactEnseignant","emailEnseignant","adresseEnseignant"],[$nom,$prenom,$contact,$email,$adresse,$matricule]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$matricule = trim($_POST["matricule"]);
		$this->enseignant->delete($matricule);
		$this->index("create",Utility::getAlert("success","Enseignant supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index("create");
			return false;
		}

		$data["active"] = 1;
		$data["action"] = "create";
		$data["lists"] = $this->enseignant->getAllSearch("%".$query."%");

		$data["query"] = $query;

		$this->load->view("parametrage/enseignant",$data);
	}


}