<?php 

class HoraireCours extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("HoraireCoursModel","horaire");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 2;
		$data["action"] = $action;
		$data["lists"] = $this->horaire->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/horaireCours",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$debut = trim($_POST["debut"]);
		$fin = trim($_POST['fin']);

		if($this->horaire->isExist($debut,$fin))
		{
			$this->index("create",array_merge(Utility::getAlert("error","Horaire déjà enregistré"),$_POST));
			return false;
		}
		

		$this->horaire->create(["debutCours","finCours"],[$debut,$fin]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->horaire->getOne($id);
		$this->index("update",[
			"id" => $res->idHoraireCours,
			"debut" => $res->debutCours,
			"fin" => $res->finCours
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("debut","debut","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("fin","fin","required",["required" => "Ce champ est obligatoire"]);
		
		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$debut = trim($_POST["debut"]);
		$fin = trim($_POST['fin']);
		$id = (int)$_POST["id"];

		$toUpdate = $this->horaire->getOne($id);

		if($toUpdate->debutCours !== $debut || $toUpdate->finCours !== $fin)
		{
			if($this->horaire->isExist($debut,$fin))
			{
				$this->index("update",array_merge(Utility::getAlert("error","Horaire déjà enregistré"),$_POST));
				return false;
			}
		}

		

		$this->horaire->update(["debutCours","finCours"],[$debut,$fin,$id]);
		$this->index("create",Utility::getAlert("success"));

	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->horaire->delete($id);
		$this->index("create",Utility::getAlert("success","Horaire supprimé"));
	}

}