<?php  

class MatierePT extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("MatierePTModel","matiere");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 1;
		$data["action"] = $action;
		$data["lists"] = $this->matiere->getAll();

		if($values)
		{
			$data["values"] = $values;
		}

		$this->load->view("parametrage/matierePT",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required|is_unique[matierePT.nomMatierePT]",[
			"required" => "Ce champ est obligatoire",
			"is_unique" => "Le nom doit être unique"
		]);
		$this->form_validation->set_rules("duree","duree","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}

		$nom = trim($_POST["nom"]);
		$duree = (int)$_POST["duree"];

		$this->matiere->create(["nomMatierePT","dureeMatierePT"],[$nom,$duree]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->matiere->getOne($id);

		$this->index("update",[
			"id" => $res->idMatierePT,
			"nom" => $res->nomMatierePT,
			"duree" => $res->dureeMatierePT
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("nom","nom","required",[
			"required" => "Ce champ est obligatoire"
		]);
		$this->form_validation->set_rules("duree","duree","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}

		$nom = trim($_POST["nom"]);
		$duree = (int)$_POST["duree"];
		$id = (int)$_POST["id"];
		
		$toUpdate = $this->matiere->getOne($id);
		if($nom !== $toUpdate->nomMatierePT)
		{
			$this->form_validation->set_rules("nom","nom","is_unique[matierePT.nomMatierePT]",[
				"is_unique" => "Le nom doit être unique"
			]);
			if(!$this->form_validation->run())
			{
				$this->index("update",$_POST);
				return false;
			}
		}

		$this->matiere->update(["nomMatierePT","dureeMatierePT"],[$nom,$duree,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->matiere->delete($id);

		$this->index("create",Utility::getAlert("success","Matière supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index();
			return false;
		}
		$data["active"] = 1;
		$data["action"] = "create";
		$data["lists"] = $this->matiere->getAllSearch("%".$query."%");

		$data["query"] = $query;

		$this->load->view("parametrage/matierePT",$data);
	}

}