<?php 

class Priorite extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("PrioriteModel","priorite");
	}

	public function index($action="create",$values=null)
	{
		$data["active"] = 5;
		$data["action"] = $action;
		$data["lists"] = $this->priorite->getAll();

		if($values)
		{
			$data["values"] = $values;
		}
		$this->load->view("parametrage/priorite",$data);
	}

	public function create()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("min","min","required",["required" => "Ce champ est requis"]);
		$this->form_validation->set_rules("max","max","required",["required" => "Ce champ est requis"]);
		$this->form_validation->set_rules("montant","montant","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->index("create",$_POST);
			return false;
		}
		$min = (int)$_POST["min"];
		$max = (int)$_POST["max"];
		$montant = (int)$_POST["montant"];

		if($this->priorite->intervalExist($min,$max))
		{
			$this->index("create",array_merge($_POST,Utility::getAlert("error","Cette intervalle existe déjà")));
			return false;
		}

		$this->priorite->create(["minParticipant","maxParticipant","montant"],[$min,$max,$montant]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function getOne()
	{
		$id = (int)$_POST["id"];
		$res = $this->priorite->getOne($id);
		$this->index("update",[
			"id" => $res->idPriorite,
			"min" => $res->minParticipant,
			"max" => $res->maxParticipant,
			"montant" => $res->montant
		]);
	}

	public function update()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("min","min","required",["required" => "Ce champ est requis"]);
		$this->form_validation->set_rules("max","max","required",["required" => "Ce champ est requis"]);
		$this->form_validation->set_rules("montant","montant","required",["required" => "Ce champ est obligatoire"]);
		if(!$this->form_validation->run())
		{
			$this->index("update",$_POST);
			return false;
		}
		$min = (int)$_POST["min"];
		$max = (int)$_POST["max"];
		$montant = (int)$_POST["montant"];
		$id = (int)$_POST["id"];
		$toUpdate = $this->priorite->getOne($id);

		if($min !== (int)$toUpdate->minParticipant || $max !== (int)$toUpdate->maxParticipant)
		{
			if($this->priorite->intervalExist($min,$max,$id))
			{
				$this->index("update",array_merge($_POST,Utility::getAlert("error","Cette intervalle existe déjà")));
				return false;
			}
		}
		$this->priorite->update(["minParticipant","maxParticipant","montant"],[$min,$max,$montant,$id]);
		$this->index("create",Utility::getAlert("success"));
	}

	public function delete()
	{
		$id = (int)$_POST["id"];
		$this->priorite->delete($id);
		$this->index("create",Utility::getAlert("success","Priorité compagnie supprimé"));
	}

	public function filter()
	{
		$query = trim($_POST["query"]);
		if($query === "")
		{
			$this->index("create");
			return false;
		}
		$data["active"] = 5;
		$data["action"] = "create";
		$data["lists"] = $this->priorite->getAllSearch("%".$query."%");
		$data["query"] = $query;

		$this->load->view("parametrage/priorite",$data);
	}


}