<?php 

class Statistique extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("StatistiqueModel","statistique");
		$this->load->model("HoraireCoursModel","horaire");
	}

	public function index()
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];
		if(count($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice);
		}

		$data["exercices"] = $exercices;
		$data["terms"] = $terms;
		$data["classes"] = $this->classe->getAll();

		$this->load->view("statistique/statistique",$data);
	}

	public function display()
	{
		$this->form_validation->set_error_delimiters("","");
		$this->form_validation->set_rules("term","term","required",["required" => "Ce champ est obligatoire"]);
		$this->form_validation->set_rules("classe","classe","required",["required" => "Ce champ est obligatoire"]);

		if(!$this->form_validation->run())
		{
			$this->resetForm();
			return false;
		}

		$exercice = (int)$_POST['exercice'];
		$idTerm = (int)$_POST['term'];
		$classe = (int)$_POST['classe'];
		
		$idTermPrev = $this->term->getPrevTerm($exercice,$idTerm);


		$new_students = $this->statistique->getStatistiquePT($idTerm,$classe);
		$pass = $this->statistique->getStatistiquePass($idTermPrev,$classe);
		$repeater = $this->statistique->getStatistiqueRepeater($idTermPrev,$classe);
		$dropout = $this->statistique->getStatistiqueDropout($idTermPrev,$classe);

		$data['statistiques'] = array_merge_recursive($new_students,$pass,$repeater,$dropout);
		
		$data['horaires'] = $this->horaire->getAll();

		$totals = null;

		foreach($data["statistiques"] as $k=>$niveaux)
		{
			foreach($niveaux as $categories)
			{
				foreach($categories as $key=>$value)
				{
					
					if(!isset($totals[$k][$key]))
					{
						$totals[$k][$key] = $value;
					}
					else
					{
						$totals[$k][$key] += $value;
					}
					
				}
			}
		}
		$data["totals"] = $totals;
		$this->resetForm($data);
	}

	private function resetForm($results=null)
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];
		if(isset($_POST["exercice"]))
		{
			$terms = $this->term->getAllByExercice((int)$_POST['exercice']);
		}

		$data["exercices"] = $exercices;
		$data["terms"] = $terms;
		$data["classes"] = $this->classe->getAll();

		$data["values"] = $_POST;

		if($results)
		{
			$data["results"] = $results;
		}

		$this->load->view("statistique/statistique",$data);
	}


}