<?php 

class FacturePT extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("FacturePTModel","facture");
		$this->load->model("SessionModel","msession");
		$this->load->model("CompanyModel","company");
		$this->load->model("ClasseModel","classe");
	}

	public function index()
	{
		$data["active"] = 3;
		$data["sessions"] = $this->msession->getAll();
		$data["compagnies"] = $this->company->getAll();
		$data["classes"] = $this->classe->getAll();
		$this->load->view("test/facture",$data);
	}

	public function generate()
	{
        $company = (int)$_POST['compagnie'];
        $session = (int)$_POST['session'];
        $class = (int)$_POST['classe'];

        $factures = $this->facture->getFacture($company, $session, $class);

        $data['facture'] = $factures;

        if (empty($data['facture'])) 
        {
            die("Aucune donnée à imprimer");
        }

        $fact = $this->facture->factureExist($company, $session, $class);
        if (!$fact) 
        {
            $this->facture->create(['idCompany', 'idSession', 'idClasse'], [$company, $session, $class]);
        }

        $fact = $this->facture->factureExist($company, $session, $class);
        $numeroFacture = $fact->numero;

        $data["numero"]  = str_pad($numeroFacture, 3, '0', STR_PAD_LEFT);
        $data["numeroTerm"]  = substr($factures[0]->numeroPT, 0, 1);
        $data["date"]  = Utility::format_date($fact->date);
        $data["dateLimite"]  = Utility::limiteDate($fact->date);

        $type = htmlspecialchars(trim($_POST['btn']));

        if($type === "Générer")
        {
            $this->load->view('test/components/facture_company', $data);
        }
        else
        {
            $this->load->view('test/components/excel_company', $data);
        }
	}

}