<?php 

class Themes{

	public static function loadHeader(string $title="Titre",array $styles = [])
	{
		$base_css = base_url("publics/CSS");
		$base_font = base_url("publics/fontawesome/css");
		$other_styles = "";
		
		foreach($styles as $style)
		{
			$parts = explode(".",$style);
			$ext = end($parts);
			if(strtolower($ext) !== "css")
			{
				$style .= ".css?v=" . APP_VERSION;
			}

			$other_styles .= "<link rel='stylesheet' type='text/css' href='$base_css/$style'>\n";
		}

		echo <<<HEAD
				<!DOCTYPE html>
				<html>
					<head>
						<meta charset="utf-8">
						<meta name="viewport" content="width=device-width, initial-scale=1">
						<title>$title</title>
						<link rel="stylesheet" type="text/css" href="$base_css/bootstrap.min.css">
						<link rel="stylesheet" type="text/css" href="$base_css/fonts.css">
						<link rel="stylesheet" type="text/css" href="$base_css/notif.css">
						<link rel="stylesheet" type="text/css" href="$base_font/all.min.css">
						<link rel="stylesheet" type="text/css" href="$base_css/form.min.css">
						<link rel="stylesheet" type="text/css" href="$base_css/transition.min.css">
						<link rel="stylesheet" type="text/css" href="$base_css/dropdown.min.css">
						$other_styles
					</head>
					<body>
			HEAD;
	}

	public static function loadFooter(array $scripts = [])
	{
		$base_js = base_url("publics/JS");
		$core_js = base_url("publics/JS/core");
		$base_font = base_url("publics/fontawesome/js");
		$other_scripts = "";
		foreach($scripts as $script)
		{
			$parts = explode(".",$script);
			$ext = end($parts);
			if(strtolower($ext) !== "js")
			{
				$script .= ".js?v=" . APP_VERSION;
			}

			$other_scripts .= "<script src='$base_js/$script'></script>\n";
		}

		echo <<<FOOT
					<script src="$core_js/jquery.min.js"></script>
					<script src="$core_js/popper.min.js"></script>
					<script src="$core_js/bootstrap.min.js"></script>
					<script src="$core_js/sweetalert.js"></script>
					<script src="$core_js/utility.js"></script>
					<script src="$base_font/all.min.js"></script>
					<script src="$core_js/form.min.js"></script>
					<script src="$core_js/dropdown.min.js"></script>
					<script src="$core_js/transition.min.js"></script>
					$other_scripts
					</body>
				</html>
			FOOT;
	}


}