<?php

class Utility{

	const MOIS = ["Janvier","Février","Mars","Avril","Mai","Juin","Juillet","Août","Septembre","Octobre","Novembre","Décembre"];
	const SHORT_DAYS = ["Dim","Lun","Mar","Mer","Jeu","Ven","Sam"];
	const SHORT_MONTHS = ["Jan","Fév","Mar","Avr","Mai","Jui","Juil","Août","Sept","Oct","Nov","Déc"];


	public static function getAlert($type,$message=null)
	{
		$data = null;
		switch ($type) {
			case "success":
				if($message){
					$data["alert"] = "<script>Alert.success('$message')</script>";
				}else{
					$data["alert"] = "<script>Alert.success()</script>";
				}
				
				break;
			case "error":
				if($message){
					$data["alert"] = "<script>Alert.error('$message')</script>";
				}else{
					$data["alert"] = "<script>Alert.error()</script>";
				}
				
				break;
			default:
				break;
		}
		return $data;
	}
	public static function format_date($date)
	{
		$date_ = new DateTime($date);
		return $date_->format('d/m/Y');
	}
	public static function toLetter( $nombre)
	{
		$cel = new ChiffreEnLettre();
		return $cel->getString($nombre);
	}
	public static function get_long_date($date)
	{
		if($date === ""){
			return NULL;
		}
		$parts = explode("-", $date);
		$m = (int)$parts[1];
		return $parts[2] . " " . self::MOIS[$m - 1] . " " . $parts[0];
	}
	public static function format_money($money)
	{
		return number_format((int)$money,0,'.',' ');
	}
	public static function getTrimestre()
	{
		$trimestre = [];
		$mois_actu = (int)date('m');
		$annee_actu = (int)date('Y');

		$mois_prec = $mois_actu - 1;
		$mois_suiv = $mois_actu + 1;
		$annee_prec = $annee_suiv = $annee_actu;

		if($mois_prec === 0){
			$mois_prec = 12;
			$annee_prec -= 1;
		}
		if($mois_suiv > 12)
		{
			$mois_suiv = 1;
			$annee_suiv += 1;
		}
		$mois_trimestre = [$mois_prec,$mois_actu,$mois_suiv];
		$annee_trimestre = [$annee_prec,$annee_actu,$annee_suiv];
		foreach($mois_trimestre as $k=>$mt)
		{
			$obj = (object)[
				"mois" => self::MOIS[$mt - 1],
				"value" => $mt,
				"annee"=> $annee_trimestre[$k]
			];
			$trimestre[] = $obj;
		}
		return $trimestre;
	}
	public static function replaceSpeciaux($str)
	{

		$cible = [
			'À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ', 'Ă', 'Ą',
			'Ç', 'Ć', 'Č', 'Œ',
			'Ď', 'Đ',
			'à', 'á', 'â', 'ã', 'ä', 'å', 'æ', 'ă', 'ą',
			'ç', 'ć', 'č', 'œ',
			'ď', 'đ',
			'È', 'É', 'Ê', 'Ë', 'Ę', 'Ě',
			'Ğ',
			'Ì', 'Í', 'Î', 'Ï', 'İ',
			'Ĺ', 'Ľ', 'Ł',
			'è', 'é', 'ê', 'ë', 'ę', 'ě',
			'ğ',
			'ì', 'í', 'î', 'ï', 'ı',
			'ĺ', 'ľ', 'ł',
			'Ñ', 'Ń', 'Ň',
			'Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø', 'Ő',
			'Ŕ', 'Ř',
			'Ś', 'Ş', 'Š',
			'ñ', 'ń', 'ň',
			'ò', 'ó', 'ô', 'ö', 'ø', 'ő',
			'ŕ', 'ř',
			'ś', 'ş', 'š',
			'Ţ', 'Ť',
			'Ù', 'Ú', 'Û', 'Ų', 'Ü', 'Ů', 'Ű',
			'Ý', 'ß',
			'Ź', 'Ż', 'Ž',
			'ţ', 'ť',
			'ù', 'ú', 'û', 'ų', 'ü', 'ů', 'ű',
			'ý', 'ÿ',
			'ź', 'ż', 'ž',
			'А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р',
			'а', 'б', 'в', 'г', 'д', 'е', 'ё', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'р',
			'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я',
			'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я'
		];

		$rempl = [
			'A', 'A', 'A', 'A', 'A', 'A', 'AE', 'A', 'A',
			'C', 'C', 'C', 'CE',
			'D', 'D',
			'a', 'a', 'a', 'a', 'a', 'a', 'ae', 'a', 'a',
			'c', 'c', 'c', 'ce',
			'd', 'd',
			'E', 'E', 'E', 'E', 'E', 'E',
			'G',
			'I', 'I', 'I', 'I', 'I',
			'L', 'L', 'L',
			'e', 'e', 'e', 'e', 'e', 'e',
			'g',
			'i', 'i', 'i', 'i', 'i',
			'l', 'l', 'l',
			'N', 'N', 'N',
			'O', 'O', 'O', 'O', 'O', 'O', 'O',
			'R', 'R',
			'S', 'S', 'S',
			'n', 'n', 'n',
			'o', 'o', 'o', 'o', 'o', 'o',
			'r', 'r',
			's', 's', 's',
			'T', 'T',
			'U', 'U', 'U', 'U', 'U', 'U', 'U',
			'Y', 'Y',
			'Z', 'Z', 'Z',
			't', 't',
			'u', 'u', 'u', 'u', 'u', 'u', 'u',
			'y', 'y',
			'z', 'z', 'z',
			'A', 'B', 'B', 'r', 'A', 'E', 'E', 'X', '3', 'N', 'N', 'K', 'N', 'M', 'H', 'O', 'N', 'P',
			'a', 'b', 'b', 'r', 'a', 'e', 'e', 'x', '3', 'n', 'n', 'k', 'n', 'm', 'h', 'o', 'p',
			'C', 'T', 'Y', 'O', 'X', 'U', 'u', 'W', 'W', 'b', 'b', 'b', 'E', 'O', 'R',
			'c', 't', 'y', 'o', 'x', 'u', 'u', 'w', 'w', 'b', 'b', 'b', 'e', 'o', 'r'
		];

		$str = str_replace($cible, $rempl, $str); 

		return $str;
	}
    
    /**
     * Recuuperer info d'une date vie une date en fformat Y-m-d
     * 
     * */
    public static function getDateInfo($date)
    {
    	$datetime = new DateTime($date);

    	return (object)[
    		"day_number" => $datetime->format("d"),
    		"short_day_text" => self::SHORT_DAYS[$datetime->format("w")],
    		"short_month" => self::SHORT_MONTHS[(int)$datetime->format("n") - 1]
    	];
    }

    /**
     * Formater une time via minute en entrée
     * 
     * */
    public static function formatTime($minutes)
    {
    	$heure = floor($minutes/60);
    	$min = $minutes % 60;

    	return str_pad($heure, 2,"0",STR_PAD_LEFT) . "h " . str_pad($min, 2,"0",STR_PAD_LEFT) . "mn";
    }

    public static function limiteDate($date)
	{
		$dt = new DateTime($date);
		$dt->add(new DateInterval('P17D'));
		return $dt->format('d/m/Y');
	}
}
