<?php  

class EtudiantPTModel extends CI_Model{


	public function generateNumeroPT($numeroTerm)
	{
		$query = '%T' . $numeroTerm;
		$res = DB::customQuery("SELECT MAX(numeroPT) AS max FROM etudiantPT WHERE numeroPT LIKE ?",[$query],false);

		$last = $res->max;

		$new = (int)substr($last, 1) + 1;

		return $numeroTerm . str_pad($new, 3, "0", STR_PAD_LEFT) . "/PT/T" . $numeroTerm;
	}

	public function getOne($numeroPT)
	{
		return DB::customQuery("SELECT * FROM etudiantPT INNER JOIN etudiant ON etudiantPT.idEtudiant=etudiant.idEtudiant WHERE numeroPT=?",[$numeroPT],false);
	}

	public function create($fields,$values)
	{
		DB::insert("etudiantPT")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("etudiantPT")
			->parametters($fields)
			->where("idEtudiant","=")
			->execute($values);
	}
	public function delete($id)
	{
		DB::delete("etudiantPT")
			->where("idEtudiant","=")
			->execute([$id]);
	}

	

	/**
	 * 
	 * Recuperer la session où l etudiant a fait l'inscription
	 * 
	 * */
	public function getSession($numeroPT)
	{
		return DB::customQuery("SELECT session.* FROM etudiantPT INNER JOIN session ON session.idSession=etudiantPT.idSession WHERE etudiantPT.numeroPT=?",[$numeroPT], false);
	}
}