<?php 

class PrioriteModel extends CI_Model{

	public function getAll()
	{
		return DB::select("priorite")->order(["idPriorite" => "DESC"])->execute();
	}
	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM priorite
			WHERE minParticipant LIKE ?
			OR maxParticipant LIKE ?",
			[$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::select("priorite")->where("idPriorite","=")->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("priorite")->parametters($fields)->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("priorite")
			->parametters($fields)
			->where("idPriorite","=")
			->execute($values);
	}
	public function delete($id)
	{
		DB::delete("priorite")
			->where("idPriorite","=")
			->execute([$id]);
	}



	/***
	 * 
	 * Verifie si l'intervalle min - max existe deja
	 * 
	 * */

	public function intervalExist($min,$max,$id=null)
	{
		$res = null;
		if(!$id)
		{
			$res = DB::customQuery("SELECT * FROM priorite
				WHERE (minParticipant >= ? AND minParticipant <= ?)
				OR (maxParticipant >= ? AND maxParticipant <= ?)",
				[$min,$max,$min,$max],false
			);
		}
		else
		{
			$res = DB::customQuery("SELECT * FROM priorite
				WHERE (idPriorite != ?) 
				AND ((minParticipant >= ? AND minParticipant <= ?)
				OR (maxParticipant >= ? AND maxParticipant <= ?))",
				[$id,$min,$max,$min,$max],false
			);
		}
		
		if($res)
			return true;

		if(!$id)
		{
			$res = DB::customQuery("SELECT * FROM priorite
				WHERE (minParticipant<=? AND maxParticipant >=?)
				OR (minParticipant<=? AND maxParticipant >=?)",
				[$min,$min,$max,$max],false
			);
		}
		else
		{
			$res = DB::customQuery("SELECT * FROM priorite
				WHERE (idPriorite != ?)
				AND ((minParticipant<=? AND maxParticipant >=?)
				OR (minParticipant<=? AND maxParticipant >=?))",
				[$id,$min,$min,$max,$max],false
			);
		}
		
		if($res)
			return true;
		return false;
	}

	/**
	 * 
	 * Recuperer montant selon nombre etudiant
	 * 
	 * */
	public function getMontant($nbre)
	{
		$res = DB::customQuery("SELECT * FROM priorite
			WHERE minParticipant<=?
			AND maxParticipant>=?",
			[$nbre,$nbre],false
		);

		return (int)$res->montant;
	}


}