<?php 

class BudgetModel extends CI_Model{


	public function getResults($type, $exercice, $term, $dateDebut, $dateFin)
    {
        $recetteCours = [];
        $recettePT = [];

        if ($type === "all") 
        {
            $recetteCours = $this->getRecetteCours($exercice, $term, $dateDebut, $dateFin);
            $recettePT = $this->getRecettePT($exercice, $term, $dateDebut, $dateFin);
        } 
        else if ($type === "cours") 
        {
            $recetteCours = $this->getRecetteCours($exercice, $term, $dateDebut, $dateFin);
        } 
        else if ($type === "test") 
        {
            $recettePT = $this->getRecettePT($exercice, $term, $dateDebut, $dateFin);
        }

        $recettes = [
            "cours" => $recetteCours,
            "tests" => $recettePT
        ];

        return $recettes;
    }

     public function getMontantDue($montant, $priorite, $remise)
    {
        $remise = DB::select('remise')
            ->where("idRemise", '=')
            ->fetchOne([$remise]);

        if (!$remise)
            return $montant + $priorite;

        return (($montant + $priorite) * (100 - $remise->valueRemise)) / 100;
    }

    private function getRecetteCours($exercice, $term, $dateDebut, $dateFin)
    {
        $conditions = "exercice.idExercice=? AND term.idTerm=? AND factureCours.date>=?";
        $params = [$exercice,$term,$dateDebut];
        
        if ($dateFin !== "") {
            $conditions .= " AND factureCours.date<=?";
            $params[] = $dateFin;
        }

        $conditions .= " GROUP BY inscriptionCours.idInscriptionCours ORDER BY etudiant.idCompany,factureCours.date ASC,inscriptionCours.modePaiement";

        $res = DB::customQuery("
            SELECT * FROM factureCours
            INNER JOIN etudiant ON etudiant.matricule=factureCours.matricule
            INNER JOIN inscriptionCours ON etudiant.matricule=inscriptionCours.matriculeEtudiant
            INNER JOIN term ON inscriptionCours.idTerm= term.idTerm
            INNER JOIN exercice ON exercice.idExercice=term.idExercice
            LEFT JOIN horaireCours ON inscriptionCours.idHoraireCours=horaireCours.idHoraireCours
            INNER JOIN niveau ON inscriptionCours.idNiveau=niveau.idNiveau
            INNER JOIN classe ON classe.idClasse=niveau.idClasse
            LEFT JOIN company ON company.idCompany=etudiant.idCompany
            WHERE {$conditions}",
            $params
        );

        $data = [];
        foreach ($res as $r) {
            if ($r->nomCompany) 
            {
                $data[$r->nomCompany][] = $r;
            } 
            else 
            {
                $data[$r->codeClasse][] = $r;
            }
        }
        return $data;
    }

    private function getRecettePT($exercice, $term, $dateDebut, $dateFin)
    {
        $conditions = "exercice.idExercice=? AND term.idTerm=? AND inscriptionPT.createdAt>=?";
        $params = [$exercice,$term,$dateDebut];
        
        $dateDebut .= " 00:00:01";
        if ($dateFin !== "") 
        {
            $dateFin .= " 23:59:59";
            $conditions .= " AND inscriptionPT.createdAt<=?";
            $params[]= $dateFin;
        }

        $conditions .= " GROUP BY inscriptionPT.idInscriptionPT ORDER BY etudiant.idCompany,inscriptionPT.createdAt ASC,inscriptionPT.modePaiement";

        $res = DB::customQuery("
            SELECT * FROM inscriptionPT
            INNER JOIN etudiantPT ON etudiantPT.numeroPT=inscriptionPT.numeroPT
            INNER JOIN etudiant ON etudiant.idEtudiant=etudiantPT.idEtudiant
            INNER JOIN session ON etudiantPT.idSession=session.idSession
            INNER JOIN term ON session.idTerm=term.idTerm
            INNER JOIN exercice ON exercice.idExercice=term.idExercice
            LEFT JOIN company ON company.idCompany=etudiant.idCompany
            INNER JOIN classe ON etudiant.codeClass=classe.codeClasse
            WHERE {$conditions}",
            $params
        );
        $data = [];
        foreach ($res as $r) {
            if ($r->nomCompany) 
            {
                $data[$r->nomCompany][] = $r;
            } 
            else 
            {
                $data[$r->codeClasse][] = $r;
            }
        }
        return $data;
    }
}