<?php  

class DateExamenModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT dateExamen.*,
			exercice.anneeExercice,term.nomTerm,
			niveau.codeNiveau,classe.codeClasse
			FROM dateExamen
			INNER JOIN term ON term.idTerm=dateExamen.idTerm
			INNER JOIN exercice ON term.idExercice=exercice.idExercice
			INNER JOIN niveau ON niveau.idNiveau=dateExamen.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			ORDER BY classe.idClasse,idDateExamen DESC");
	}
	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT dateExamen.*,
			exercice.anneeExercice,term.nomTerm,
			niveau.codeNiveau,classe.codeClasse
			FROM dateExamen
			INNER JOIN term ON term.idTerm=dateExamen.idTerm
			INNER JOIN exercice ON term.idExercice=exercice.idExercice
			INNER JOIN niveau ON niveau.idNiveau=dateExamen.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			WHERE classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			OR exercice.anneeExercice LIKE ?
			OR term.nomTerm LIKE ?
			OR dateExamen.matiere LIKE ?
			ORDER BY classe.idClasse,idDateExamen DESC",
			[$query,$query,$query,$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT dateExamen.*,
			term.idExercice,niveau.idClasse
			FROM dateExamen
			INNER JOIN term ON term.idTerm=dateExamen.idTerm
			INNER JOIN niveau ON niveau.idNiveau=dateExamen.idNiveau
			WHERE idDateExamen=?",
			[$id],false
		);
	}

	public function create($fields,$values)
	{
		DB::insert("dateExamen")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("dateExamen")
			->parametters($fields)
			->where("idDateExamen","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("dateExamen")
			->where("idDateExamen","=")
			->execute([$id]);
	}

	public function isExist($term,$niveau,$jours,$matiere)
	{
		$res = DB::customQuery("SELECT * FROM dateExamen 
			WHERE idTerm=?
			AND idNiveau=?
			AND joursCours=?
			AND matiere=?",
			[$term,$niveau,$jours,$matiere],false
		);
		if($res)
			return true;
		return false;
	}


}