<?php 

class FraisModel extends CI_Model{


	public function getAll()
	{
		return DB::customQuery("SELECT frais.*,niveau.codeNiveau,classe.codeClasse,categorieClasse.nomCategorieClasse FROM frais
			INNER JOIN niveau ON niveau.idNiveau=frais.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			LEFT JOIN categorieClasse ON categorieClasse.idCategorieClasse=frais.idCategorie
			ORDER BY classe.idClasse,idFrais DESC");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT frais.*,niveau.codeNiveau,classe.codeClasse,categorieClasse.nomCategorieClasse FROM frais
			INNER JOIN niveau ON niveau.idNiveau=frais.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			LEFT JOIN categorieClasse ON categorieClasse.idCategorieClasse=frais.idCategorie
			WHERE classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			OR frais.joursCours LIKE ?
			OR categorieClasse.nomCategorieClasse LIKE ?
			ORDER BY classe.idClasse,idFrais DESC",
			[$query,$query,$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT frais.*,classe.idClasse FROM frais
			INNER JOIN niveau ON niveau.idNiveau=frais.idNiveau
			INNER JOIN classe ON niveau.idClasse=classe.idClasse
			LEFT JOIN categorieClasse ON categorieClasse.idCategorieClasse=frais.idCategorie
			WHERE idFrais=?
			ORDER BY classe.idClasse,idFrais DESC",
			[$id],false
		);
	}

	public function create($fields,$values)
	{
		DB::insert("frais")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("frais")
			->parametters($fields)
			->where("idFrais","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("frais")
			->where("idFrais","=")
			->execute([$id]);
	}

	/**
	 * 
	 * Verification doublon frais
	 * 
	 * */
	public function isExist($niveau,$jours,$categorie)
	{
		$res = null;
		if($categorie)
		{
			$res = DB::select("frais")
					->where("idNiveau","=")
					->and("joursCours","=")
					->and("idCategorie","=")
					->execute([$niveau,$jours,$categorie]);
		}
		else
		{

			$res = DB::select("frais")
					->where("idNiveau","=")
					->and("joursCours","=")
					->execute([$niveau,$jours]);
		}

		if($res)
			return true;
		return false;
	}

	/**
	 * Recuperer frais selon le niveau et jours de cours
	 * 
	 * */
	public function getByNiveauAndJours($idNiveau,$jours)
	{
		return DB::select("frais")
					->where("idNiveau","=")
					->and("joursCours","=")
					->fetchOne([$idNiveau,$jours]);
	}

	/**
	 * Recuperer frais selon le niveau et jours de cours avec categorie
	 * 
	 * */
	public function getByNiveauAndJoursWithCategory($idNiveau,$jours,$debut)
	{
		return DB::customQuery("SELECT * FROM frais
			INNER JOIN categorieClasse ON categorieClasse.idCategorieClasse=frais.idCategorie
			WHERE idNiveau=?
			AND joursCours=?
			AND debutCategorieClasse<=?
			AND finCategorieClasse>=?",
			[$idNiveau,$jours,$debut,$debut],false
		);
	}
}