<?php 

class ListeAttenteModel extends CI_Model{


	public function create($fields,$values)
	{
		DB::insert("listeAttente")
			->parametters($fields)
			->execute($values);
	}

	public function getAll()
	{
		return DB::customQuery("SELECT * FROM listeAttente
			INNER JOIN term ON term.idTerm=listeAttente.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			INNER JOIN etudiant ON etudiant.idEtudiant=listeAttente.idEtudiant
			INNER JOIN niveau ON niveau.idNiveau=listeAttente.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idClasse
			INNER JOIN horaireCours ON horaireCours.idHoraireCours=listeAttente.idHoraireCours
			LEFT JOIN etudiantPT ON etudiantPT.idEtudiant=listeAttente.idEtudiant
			ORDER BY exercice.anneeExercice DESC,term.numeroTerm ASC"
		);
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM listeAttente
			INNER JOIN term ON term.idTerm=listeAttente.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			INNER JOIN etudiant ON etudiant.idEtudiant=listeAttente.idEtudiant
			INNER JOIN niveau ON niveau.idNiveau=listeAttente.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idClasse
			INNER JOIN horaireCours ON horaireCours.idHoraireCours=listeAttente.idHoraireCours
			LEFT JOIN etudiantPT ON etudiantPT.idEtudiant=listeAttente.idEtudiant
			WHERE etudiantPT.numeroPT LIKE ?
			OR classe.codeClasse LIKE ?
			OR niveau.codeNiveau LIKE ?
			OR etudiant.nom LIKE ?
			OR etudiant.prenom LIKE ?
			ORDER BY exercice.anneeExercice DESC,term.numeroTerm ASC",
			[$query,$query,$query,$query,$query,$query]
		);
	}

	public function delete($idEtudiant)
	{
		DB::delete("listeAttente")
			->where("idEtudiant","=")
			->execute([$idEtudiant]);
	}

}