<?php 

class NoteExamenModel extends CI_Model{

	public function isEmpty($niveau,$term,$matiere)
	{
		$res = DB::select("noteExamen")
					->where("idTerm","=")
					->and("idNiveau","=")
					->and("matiere","=")
					->fetchOne([$term,$niveau,$matiere]);
		if($res)
			return false;
		return true;
	}

	public function create($fields,$values)
	{
		DB::insert("noteExamen")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("noteExamen")
			->parametters($fields)
			->where("idNoteExamen","=")
			->execute($values);
	}

	/**
	 * 
	 * Recuperer les etudiant pour saisir leur note d'examen
	 * 
	 * */
	public function getListEtudiants($niveau,$term,$matiere)
	{

		return DB::customQuery("SELECT 
			noteexamen.*, etudiant.nom, etudiant.prenom FROM noteExamen 
			INNER JOIN etudiant 
			ON etudiant.matricule = noteExamen.matriculeEtudiant
			WHERE idTerm=?
			AND idNiveau=?
			AND matiere=?
			ORDER BY noteexamen.matriculeEtudiant ASC",
			[$term,$niveau,$matiere]
		);
	}

	/***
	 * 
	 * Recuperer les etudiant pour traitement de resultat
	 * 
	 * 
	 * */
	public function getMatriculesEtudiant($niveau,$term)
	{
		return DB::customQuery("SELECT DISTINCT matriculeEtudiant
			FROM noteExamen
			WHERE idNiveau=? AND idTerm=?",
			[$niveau,$term]
		);
	}

	/***
	 * 
	 * Recuperer les notes de l'etudiant pour traitement
	 * 
	 * 
	 * */
	public function getNotes($niveau,$term,$matricule)
	{
		return DB::customQuery("SELECT * FROM noteExamen WHERE idNiveau=? AND idTerm=? AND matriculeEtudiant=?",[$niveau,$term,$matricule]);
	}


}