<?php 

class SessionModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT * FROM session
			INNER JOIN term ON term.idTerm=session.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			ORDER BY exercice.anneeExercice DESC,term.nomTerm ASC");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM session
			INNER JOIN term ON term.idTerm=session.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			WHERE anneeExercice LIKE ?
			OR term.nomTerm LIKE ?
			ORDER BY exercice.anneeExercice DESC,term.nomTerm ASC",
			[$query,$query]
		);
	}

	public function getOne($id)
	{
		return DB::customQuery("SELECT * FROM session
			INNER JOIN term ON term.idTerm=session.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			WHERE idSession=?
			ORDER BY exercice.anneeExercice DESC,term.nomTerm ASC",
			[$id],false
		);
	}

	public function create($fields,$values)
	{
		DB::insert("session")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("session")
			->parametters($fields)
			->where("idSession","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("session")
			->where("idSession","=")
			->execute([$id]);
	}

	/**
	 * 
	 * Verifie si une session est deja enregistré
	 * 
	 * */
	public function isExist($idTerm)
	{
		$res = DB::select("session")->where("idTerm","=")->fetchOne([$idTerm]);
		if($res)
			return true;
		return false;
	}

	public function getDroitTest($idSession)
	{
		$res = DB::customQuery("SELECT * FROM session WHERE idSession=?",[$idSession],false);
		if($res)
			return $res->droitSession;
		return 0;
	}


}