
<?php 

class UserModel extends CI_Model{


	public function login($username,$password)
	{
		$res = DB::customQuery("SELECT * FROM user
			WHERE username=?",
			[$username],
			false
		);

		if(!$res){
			return false;
		}

		if(!password_verify($password, $res->password))
		{
			return false;
		}

		return $res;
	}
	

	public function findOne($field,$value)
	{
		return DB::customQuery("SELECT * FROM user WHERE $field = ?",[$value],false);
	}


	public function getCurrent($userID)
	{
		return DB::customQuery("SELECT * FROM user WHERE id = ?",[$_SESSION['userID']],false);
	}

	public function update($fields,$values)
	{
		DB::update("user")
			->parametters($fields)
			->where("id","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("user")
			->where("id","=")
			->execute([$id]);
	}

	
	public function verify($username)
	{
		$res = DB::customQuery("SELECT * FROM user
			WHERE username=?",
			[$username],
			false
		);

		if(!$res){
			return false;
		}

		return $res;
	}

	public function getUser($id)
	{
		return DB::customQuery("SELECT * FROM user
			WHERE id=?",
			[$id],
			false
		);

	}

}
