<?php
//dump($data);die;

$pdf = new PDF();
$pdf->AddPage();
$pdf->AddFont("Lexend", "B", "Lexend-Bold.php");
$pdf->AddFont("Lexend", "SB", "Lexend-SemiBold.php");
$pdf->AddFont("Lexend", "M", "Lexend-Medium.php");
$pdf->AddFont("Lexend", "R", "Lexend-Regular.php");
$pdf->AddFont("Lexend", "L", "Lexend-Light.php");


// =====  Date d' édition ===== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(160, 5, 'Edition du : ', 0, 0, 'R');
$pdf->SetFont('Lexend', 'L', 9);
$pdf->Cell(30, 5, date("d/m/Y"), 0, 1, 'C');

// =====  Entete recette ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(40, 7, 'RECETTE ENTRE LE', 'LTB', 0, 'C');

// =====  Date de debut ===== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(20, 7, Utility::format_date($dateDebut), 'TB', 0, 'C');
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(5, 7, 'A', 'TB', 0, 'C');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(11, 7, $heureDebut, 'TB', 0, 'C');
$pdf->SetFont('Lexend', 'SB', 10);

$pdf->Cell(15, 7, 'ET LE', 'TB', 0, 'C');

// =====  Date de fin ===== //
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(20, 7, Utility::format_date($dateFin), 'TB', 0, 'C');
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(5, 7, 'A', 'TB', 0, 'C');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(11, 7, $heureFin, 'TB', 0, 'C');

// =====  Période ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(33, 7, utf8_decode('Période de :'), 'TB', 0, 'R');
$pdf->Cell(20, 7, $term . ',', 'TB', 0, 'R');
$pdf->Cell(10, 7, $exercice, 'TBR', 1, 'C');


$pdf->Ln(1);

// =====  Somme en espece ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(19, 7, 'ESPECE :', 'TBL', 0, 'R');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(30, 7, $espece, 'TB', 0, 'L');

// =====  Somme en cheque ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(22, 7, '- CHEQUE :', 'TB', 0, 'L');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(30, 7, $cheque, 'TB', 0, 'L');

// =====  Somme en credit ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(21, 7, '- CREDIT :', 'TB', 0, 'L');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(30, 7, $credit, 'TB', 0, 'L');

// =====  Nombre totale d'etudiants ===== //
$pdf->SetFont('Lexend', 'SB', 10);
$pdf->Cell(28, 7, '- ETUDIANTS :', 'TB', 0, 'L');
$pdf->SetFont('Lexend', 'R', 9);
$pdf->Cell(10, 7, $count, 'TBR', 1, 'L');


$pdf->Ln(6);

foreach ($data as $key => $types) {
    if (count($types)) {
        foreach ($types as $company => $values) {
            // =====  Nom de la societe ===== //
            $pdf->SetFont('Lexend', 'SB', 8);

            if (!in_array($company, $allClass)) {
                $pdf->Cell(17, 7, 'SOCIETE :', 0, 0, 'R');
            } else {
                $pdf->Cell(17, 7, 'CLASSE :', 0, 0, 'R');
            }
            $pdf->SetFont('Lexend', 'L', 8);
            $pdf->Cell(119, 7, utf8_decode($company), 0, 0, 'L');

            // =====  Status charge ===== //
            $pdf->SetFont('Lexend', 'SB', 8);
            $pdf->Cell(17, 7, 'CHARGE :', 0, 0, 'R');
            $pdf->SetFont('Lexend', 'L', 8);
            if (!in_array($company, $allClass)) {
                $pdf->Cell(37, 7, 'OUI', 0, 1, 'L');
            } else {
                $pdf->Cell(37, 7, 'NON', 0, 1, 'L');
            }
            // =====  Table thead ===== //
            $pdf->SetFont('Lexend', 'SB', 7);
            $pdf->Cell(17, 5, 'MATRICULE', 1, 0, 'C');
            $pdf->Cell(17, 5, 'RECU', 'TBR', 0, 'C');
            $pdf->Cell(65, 5, 'NOM ET PRENOM', 'TBR', 0, 'C');
            $pdf->Cell(13, 5, 'NIVEAU', 'TBR', 0, 'C');
            $pdf->Cell(20, 5, 'HEURE', 'TBR', 0, 'C');
            $pdf->Cell(17, 5, 'PAYEMENT', 'TBR', 0, 'C');
            $pdf->Cell(17, 5, 'DATE', 'TBR', 0, 'C');
            $pdf->Cell(24, 5, 'TOTAL', 'TBR', 1, 'C');

            $sousTotal = 0;

            foreach ($values as $value) {
                // =====  Table tbody ===== //
                $pdf->SetFont('Lexend', 'L', 7);
                if ($key === "cours") {
                    $pdf->Cell(17, 5, $value->matricule, 'BLR', 0, 'C');
                    $pdf->Cell(17, 5, str_pad($value->numero, 6, "0", STR_PAD_LEFT), 'BR', 0, 'C');
                    $pdf->Cell(65, 5, utf8_decode($value->nom . " " . $value->prenom), 'BR', 0, 'L');
                    $pdf->Cell(13, 5, utf8_decode($value->codeNiveau), 'BR', 0, 'C');
                    $pdf->Cell(20, 5, $value->debutCours ." - " . $value->finCours, 'BR', 0, 'C');
                    $pdf->Cell(17, 5, utf8_decode($value->modePaiement), 'BR', 0, 'C');
                    $pdf->Cell(17, 5, Utility::format_date($value->date), 'BR', 0, 'C');
                    $pdf->Cell(24, 5, number_format($value->montantDue, 0, ".", " "), 'BR', 1, 'R');

                    $sousTotal += $value->montantDue;
                } else {
                    $pdf->Cell(17, 5, $value->numeroPT, 'BLR', 0, 'C');
                    $pdf->Cell(17, 5, "/ " . $value->anneeExercice, 'BR', 0, 'C');
                    $pdf->Cell(65, 5, utf8_decode($value->nom . " " . $value->prenom), 'BR', 0, 'L');
                    $pdf->Cell(13, 5, utf8_decode('---'), 'BR', 0, 'C');
                    $pdf->Cell(20, 5, utf8_decode('---'), 'BR', 0, 'C');
                    $pdf->Cell(17, 5, utf8_decode($value->modePaiement), 'BR', 0, 'C');
                    $pdf->Cell(17, 5, Utility::format_date($value->createdAt), 'BR', 0, 'C');
                    $pdf->Cell(24, 5, number_format($value->montantPaye, 0, ".", " "), 'BR', 1, 'R');

                    $sousTotal += $value->montantPaye;
                }
            }
            $pdf->SetFont('Lexend', 'L', 7);
            $pdf->Cell(17, 5, '', 'R', 0, 'C');
            $pdf->SetFont('Lexend', 'SB', 7);
            $pdf->Cell(17, 5, count($values), 'BR', 0, 'C');
            $pdf->Cell(132, 5, utf8_decode('TOTAL'), 'BR', 0, 'C');
            $pdf->SetFont('Lexend', 'L', 7);
            $pdf->Cell(24, 5, number_format($sousTotal, 0, ".", " "), 'BR', 1, 'R');

            $pdf->Ln(4);
        }
    }
}

$pdf->SetFont('Lexend', 'SB', 6);
$pdf->Cell(25, 5, utf8_decode("Nombre des étudiants"), 0, 0, 'C');
$pdf->Cell(17, 5, $count, 0, 0, 'L');

$pdf->Output();
