<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("examen/bareme") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Barèmes</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("examen/bareme/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("examen/bareme/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif; ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauExamen(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauExamen(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
				<div class="input" id="niveau-examen">
					<?php include("components/niveau_examen.php") ?>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight">Matières :</label>
				<div class="input">
					<?php if(isset($values["matieres"])): ?>
						<?php foreach($matieres as $matiere): ?>
							<div class="form-check d-inline-block mr-2">
								<input class="form-check-input" type="checkbox" value="<?= $matiere->aliasMatiere ?>" id="<?= $matiere->aliasMatiere ?>" name="matieres[]" <?= (in_array($matiere->aliasMatiere, $values["matieres"])) ? "checked" : "" ?>>
								<label class="form-check-label w-auto" for="<?= $matiere->aliasMatiere ?>"><?= $matiere->aliasMatiere ?></label>
							</div>
						<?php endforeach ?>
					<?php else: ?>
						<?php foreach($matieres as $matiere): ?>
							<div class="form-check d-inline-block mr-2">
								<input class="form-check-input" type="checkbox" value="<?= $matiere->aliasMatiere ?>" id="<?= $matiere->aliasMatiere ?>" name="matieres[]">
								<label class="form-check-label w-auto" for="<?= $matiere->aliasMatiere ?>"><?= $matiere->aliasMatiere ?></label>
							</div>
						<?php endforeach ?>
					<?php endif; ?>
					<div class="form-error"><?= form_error('matieres[]') ?></div>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight">Barème :</label>
				<div class="input">
					<input type="text" name="bareme" class="form-control <?= form_error('bareme') ? 'input-error' : '' ?>" value="<?= $values['bareme'] ?? null ?>">
					<div class="form-error"><?= form_error('bareme') ?></div>
				</div>
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif; ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des dates</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("examen/bareme/filter") ?>" onsubmit="filter(event,this)">
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Matieres</th>
					<th>Barème</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?=	$list->matieres ?></td>
						<td><?= $list->bareme ?></td>
						<td>
							<form action="<?= base_url("examen/bareme/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idBareme ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("examen/bareme/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idBareme ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>
