<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("statistique/statistique") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Statistique</a>
		</nav>

		<form id="form-budget" class="form-content" method="post" action="<?= base_url("statistique/statistique/display") ?>" onsubmit="sendForm(event,this)">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermStatistique(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermStatistique(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-statistique">
					<?php include("components/term_statistique.php") ?>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
				
			</div>
			
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="submit" class="btn btn-dark btn-block">Afficher</button>
				</div>
				
			</div>
		</form>
	</div>

	<?php if(isset($results)): ?>
		<div class="main-table table-responsive mt-4">
	        <table class="table table-sm">
	            <thead class="Lexend_Medium">
	                <tr>
	                    <th scope="col"></th>
	                    <?php foreach($results["horaires"] as $horaire): ?>
	                        <th scope="col"><?= $horaire->debutCours ?></th>
	                    <?php endforeach; ?>
	                    <th scope="col">ONLINE</th>
	                    <th scope="col">NO PREFERENCE</th>
	                    <th scope="col">TOTAL</th>
	                </tr>
	            </thead>

	            <tbody class="Lexend_Light" id="company-list">
	                <?php foreach ($results["statistiques"] as $codeClasse => $categories) : ?>
	                    <?php
	                        $Gtotal = 0;
	                    ?>
	                    <tr>
	                        <td scope="col" colspan="11" class="Lexend_Bold"><?= $codeClasse ?></td>
	                    </tr>
	                    <?php foreach($categories as $key => $heures): ?>
	                        <?php
	                            $total = 0;
	                            foreach ($heures as $val) {
	                                $total += $val;
	                                $Gtotal += $val;
	                            }
	                        ?>
	                        <tr>
	                            <td scope="col"><?= $key ?></td>
	                            <?php foreach($results["horaires"] as $horaire): ?>
	                                <td scope="col"><?= $heures[$horaire->debutCours] ?? 0 ?></td>
	                            <?php endforeach; ?>
	                            <td scope="col"><?= $heures["online"] ?? 0 ?></td>
	                            <td scope="col"><?= $heures["No preference"] ?? 0 ?></td>
	                            <td scope="col"><?= $total ?></td>
	                        </tr>
	                    <?php endforeach; ?>
	                    <tr>
	                        <td scope="col">TOTAL</td>
	                        <?php foreach($results["horaires"] as $horaire): ?>
	                            <td scope="col"><?= $results["totals"][$codeClasse][$horaire->debutCours] ?? 0 ?></td>
	                        <?php endforeach; ?>
	                        <td scope="col"><?= $results["totals"][$codeClasse]["online"] ?? 0 ?></td>
	                        <td scope="col"><?= $results["totals"][$codeClasse]["No preference"] ?? 0 ?></td>
	                        <td scope="col"><?= $Gtotal ?></td>
	                    </tr>
	                <?php endforeach ?>
	            </tbody>
	        </table>
		</div>
	<?php endif; ?>
</div>

