<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/CSession") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Session</a>
			<a href="<?= base_url("testNiveau/dureeInscription") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Durée inscription cours</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/CSession/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/CSession/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermTest(this)" <?= ($action === "update") ? "disabled" : "" ?>>
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermTest(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-session">
					<?php include("components/term_session.php") ?>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Droit de test :</label>
				<div class="input">
					<input type="number" name="droit" class="form-control <?= form_error('droit') ? 'input-error' : '' ?>" value="<?= $values['droit'] ?? null ?>">
					<div class="form-error"><?= form_error('droit') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Date resultat :</label>
				<div class="input">
					<input type="date" name="date-resultat" class="form-control <?= form_error('date-resultat') ? 'input-error' : '' ?>" value="<?= $values['date-resultat'] ?? null ?>">
					<div class="form-error"><?= form_error('date-resultat') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Inscription aux cours :</label>
				<div class="input">
					<input type="date" name="date-inscription" class="form-control <?= form_error('date-inscription') ? 'input-error' : '' ?>" value="<?= $values['date-inscription'] ?? null ?>">
					<div class="form-error"><?= form_error('date-inscription') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des sessions</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("testNiveau/CSession/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Droit</th>
					<th>Resultat</th>
					<th>Inscription</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?= Utility::format_money($list->droitSession) ?></td>
						<td><?= $list->dateResultat ?></td>
						<td><?= $list->dateInscription ?></td>
						<td>
							<form action="<?= base_url("testNiveau/CSession/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idSession ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/CSession/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idSession ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>