<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("examen/dateExamen") ?>" class="main-navigation-link Lexend_Regular <?= $active == 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Date d'examen</a>
		</nav>

		<?php if($action == "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("examen/dateExamen/create") ?>" onsubmit="sendForm(event,this)" id="form-dateExamen">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("examen/dateExamen/update") ?>" onsubmit="sendForm(event,this)" id="form-dateExamen">
		<?php endif; ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">

				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermExamen(this)" <?= ($action == "update") ? "disabled" : "" ?>>
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] == $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermExamen(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-examen">
					<?php include("components/term_examen.php") ?>
				</div>
				
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()" <?= ($action == "update") ? "disabled" : "" ?>>
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] == $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()" <?= ($action == "update") ? "disabled" : "" ?>>
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
				
			</div>
			
			<div id="form-dateExamen-content">
				<?php include("components/form_dateExamen.php") ?>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Date 1 :</label>
				<div class="input">
					<input type="date" name="date1" class="form-control <?= form_error('date1') ? 'input-error' : '' ?>" value="<?= $values['date1'] ?? null ?>">
					<div class="form-error"><?= form_error('date1') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Date 2 :</label>
				<div class="input">
					<input type="date" name="date2" class="form-control <?= form_error('date2') ? 'input-error' : '' ?>" value="<?= $values['date2'] ?? null ?>">
					<div class="form-error"><?= form_error('date2') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Durée :</label>
				<div class="input">
					<input type="time" name="duree" class="form-control text-center <?= form_error('duree') ? 'input-error' : '' ?>" value="<?= $values['duree'] ?? null ?>">
					<div class="form-error"><?= form_error('duree') ?></div>
				</div>
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action == "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif; ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des dates</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("examen/dateExamen/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("examen/dateExamen/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Jours</th>
					<th>Matière</th>
					<th>Date 1</th>
					<th>Date 2</th>
					<th>Durée</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?=	$list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->joursCours ?></td>
						<td><?= $list->matiere ?></td>
						<td><?= $list->date1 ?></td>
						<td><?= $list->date2 ?></td>
						<td><?= $list->duree ?></td>
						<td>
							<form action="<?= base_url("examen/dateExamen/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idDateExamen ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("examen/dateExamen/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idDateExamen ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<?php if(!isset($first)): ?>
<script>
	$(".ui.dropdown").dropdown();
</script>
<?php endif ?>