<?php

$pdf = new FPDF('L');
$pdf->AddPage();
$pdf->AddFont("Lexend", "B", "Lexend-Bold.php");
$pdf->AddFont("Lexend", "SB", "Lexend-SemiBold.php");
$pdf->AddFont("Lexend", "M", "Lexend-Medium.php");
$pdf->AddFont("Lexend", "R", "Lexend-Regular.php");
$pdf->AddFont("Lexend", "L", "Lexend-Light.php");


// =====  Date d' impression ===== //
$pdf->SetFont('Lexend', 'L', 8);
$pdf->Cell(276, 5, Utility::format_date($recu->createdAt), 0, 1, 'R');


// =====  Entete ETP ===== //
$pdf->SetFont('Lexend', 'SB', 12.5);
// =====  Partie gauche ===== //
$pdf->Cell(128, 15, 'English Teaching Program', 0, 0, 'C');
$pdf->Cell(10, 15, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 15, '', 'L', 0, 'L');
$pdf->Cell(128, 15, 'English Teaching Program', 0, 1, 'C');


// =====  Annee et date d entrée ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(20, 6, 'Year :', 0, 0, 'L');
$pdf->Cell(58, 6, $recu->anneeExercice, 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 9);
$pdf->Cell(30, 6, utf8_decode("Entry date :"), 0, 0, 'C');
$pdf->Cell(20, 6, Utility::format_date($recu->debutTerm), 0, 0, 'C');
$pdf->Cell(10, 6, '', "R", 0, 'L');

// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(20, 6, 'Year :', 0, 0, 'L');
$pdf->Cell(58, 6, $recu->anneeExercice, 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 9);
$pdf->Cell(30, 6, utf8_decode("Entry date :"), 0, 0, 'C');
$pdf->Cell(20, 6, Utility::format_date($recu->debutTerm), 0, 1, 'C');


// =====  Term ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(20, 6, 'Term :', 0, 0, 'L');
$pdf->Cell(108, 6, $recu->nomTerm, 0, 0, 'L');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->Cell(20, 6, 'Term :', 0, 0, 'L');
$pdf->Cell(108, 6, $recu->nomTerm, 0, 1, 'L');


// ===== Titre facturation ===== //
$pdf->SetFont('Lexend', 'SB', 14);
// =====  Partie gauche ===== //
$pdf->Cell(128, 12, 'REGISTRATION RECEIPT', 0, 0, 'C');
$pdf->Cell(10, 12, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 12, '', 'L', 0, 'L');
$pdf->Cell(128, 12, 'REGISTRATION RECEIPT', 0, 1, 'C');


// ===== Numero de la facture ===== //
$pdf->SetFont('Lexend', 'SB', 13);
// =====  Partie gauche ===== //
$pdf->Cell(105, 6, utf8_decode("N° :"), 0, 0, 'R');
$pdf->Cell(23, 6, str_pad($recu->idInscriptionCours, 6, '0', STR_PAD_LEFT), 0, 0, 'C');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->Cell(105, 6, utf8_decode("N° :"), 0, 0, 'R');
$pdf->Cell(23, 6, str_pad($recu->idInscriptionCours, 6, '0', STR_PAD_LEFT), 0, 1, 'C');

// =====  Entete ETP ===== //
// =====  Partie gauche ===== //
$pdf->Cell(138, 4, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(138, 4, '', 'L', 1, 'C');

// ===== Nom de la company ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(35, 6, 'Company name :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 10);
if ($recu->nomCompany == null) {
    $company = 'Aucune';
} else {
    $company = $recu->nomCompany;
}
$pdf->Cell(93, 6, $company, 0, 0, 'L');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(35, 6, 'Company name :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 10);
$pdf->Cell(93, 6, $company, 0, 1, 'L');


// ===== Nom de l' eleve ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(35, 6, 'Student name :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 10);
$pdf->Cell(93, 6, utf8_decode($recu->nom . ' ' . $recu->prenom), 0, 0, 'L');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(35, 6, 'Student name :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'L', 10);
$pdf->Cell(93, 6, utf8_decode($recu->nom . ' ' . $recu->prenom), 0, 1, 'L');


// ===== Matricule et niveau ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(35, 6, utf8_decode('Student n° :'), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(41, 6, str_pad($recu->matricule, 6, '0', STR_PAD_LEFT), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(25, 6, utf8_decode("Level :"), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(27, 6, utf8_decode($recu->codeNiveau), 0, 0, 'L');
$pdf->Cell(10, 6, '', "R", 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(35, 6, utf8_decode('Student n° :'), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(41, 6, str_pad($recu->matricule, 6, '0', STR_PAD_LEFT), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(25, 6, utf8_decode("Level :"), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(27, 6, utf8_decode($recu->codeNiveau), 0, 1, 'L');


// ===== Salle et horaire ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(35, 6, utf8_decode('Room n° :'), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(41, 6, utf8_decode($recu->nomSalle), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(25, 6, utf8_decode("Class time :"), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
if($recu->idHoraireCours)
{
    $pdf->Cell(27, 6, utf8_decode($recu->debutCours . ' à ' . $recu->finCours), 0, 0, 'L');
}
else
{
    $pdf->Cell(27, 6, null, 0, 0, 'L');
}

$pdf->Cell(10, 6, '', "R", 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(35, 6, utf8_decode('Room n° :'), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
$pdf->Cell(41, 6, utf8_decode($recu->nomSalle), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 10);
$pdf->Cell(25, 6, utf8_decode("Class time :"), 0, 0, 'L');
$pdf->SetFont('Lexend', 'M', 11);
if($recu->idHoraireCours)
{
    $pdf->Cell(27, 6, utf8_decode($recu->debutCours . ' à ' . $recu->finCours), 0, 1, 'L');
}
else
{
    $pdf->Cell(27, 6, null, 0, 1, 'L');
}


// =====  Entete ETP ===== //
// =====  Partie gauche ===== //
$pdf->Cell(138, 5, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(138, 5, '', 'L', 1, 'C');

// ===== Titre facturation ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 9, 'CLASS TYPE :', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(85.4, 9, utf8_decode($recu->codeClasse), 0, 0, 'L');
$pdf->Cell(10, 9, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 9, '', 'L', 0, 'L');
$pdf->SetFont('Lexend', 'M', 12);
$pdf->Cell(42.6, 9, 'CLASS TYPE :', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(85.4, 9, utf8_decode($recu->codeClasse), 0, 1, 'L');


// ===== Paiement ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 6, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 6, 'PAYMENT :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 6, utf8_decode(strtoupper($recu->modePaiement)), 0, 0, 'L');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->Cell(42.6, 6, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 6, 'PAYMENT : ', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 6, utf8_decode(strtoupper($recu->modePaiement)), 0, 1, 'L');


// =====  Entete ETP ===== //
// =====  Partie gauche ===== //
$pdf->Cell(138, 5, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(138, 5, '', 'L', 1, 'C');


// ===== Tuition ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'TUITION :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->ecolage, 0, 0, 'R');
$pdf->Cell(10, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 7, '', 'L', 0, 'L');
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'TUITION :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->ecolage, 0, 1, 'R');


// ===== Priority order ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'PRIORITY ORDER :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->priorite, 0, 0, 'R');
$pdf->Cell(10, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 7, '', 'L', 0, 'L');
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'PRIORITY ORDER :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->priorite, 0, 1, 'R');

// ===== Total ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'TOTAL :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->ecolage, 0, 0, 'R');
$pdf->Cell(10, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 7, '', 'L', 0, 'L');
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'TOTAL :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7,  $recu->ecolage, 0, 1, 'R');


// ===== Total ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'DISCOUNT :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
if (!$recu->valueRemise) {
    $recu->valueRemise = 0;
}
$pdf->Cell(37.4, 7, $recu->valueRemise . ' %', 0, 0, 'R');
$pdf->Cell(10, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 7, '', 'L', 0, 'L');
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'DISCOUNT :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->valueRemise . ' %', 0, 1, 'R');


// ===== Total ===== //
$pdf->SetFont('Lexend', 'M', 12);
// =====  Partie gauche ===== //
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'AMOUNT DUE :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->ecolageRemise + (int)$recu->priorite, 0, 0, 'R');
$pdf->Cell(10, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 7, '', 'L', 0, 'L');
$pdf->Cell(42.6, 7, '', 0, 0, 'R');
$pdf->SetFont('Lexend', 'SB', 13);
$pdf->Cell(48, 7, 'AMOUNT DUE :', 0, 0, 'L');
$pdf->SetFont('Lexend', 'B', 13);
$pdf->Cell(37.4, 7, $recu->ecolageRemise + (int)$recu->priorite, 0, 1, 'R');


// =====  Entete ETP ===== //
// =====  Partie gauche ===== //
$pdf->Cell(138, 5, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(138, 5, '', 'L', 1, 'C');


// ===== Signature ===== //
$pdf->SetFont('Lexend', 'M', 11);
// =====  Partie gauche ===== //
$pdf->Cell(7, 7, '', 0, 0, 'L');
$pdf->Cell(35, 4, 'Student Signature', 'B', 0, 'C');
$pdf->Cell(51, 7, '', 0, 0, 'L');
$pdf->Cell(27, 4, 'ETP Signature', 'B', 0, 'C');
$pdf->Cell(18, 7, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(17, 7, '', 'L', 0, 'L');
$pdf->Cell(35, 4, 'Student Signature', 'B', 0, 'C');
$pdf->Cell(51, 7, '', 0, 0, 'L');
$pdf->Cell(27, 4, 'ETP Signature', 'B', 1, 'C');


// =====  Entete ETP ===== //
// =====  Partie gauche ===== //
$pdf->Cell(138, 20, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(138, 20, '', 'L', 1, 'C');


// =====  Jours de classe ===== //
$pdf->SetFont('Lexend', 'M', 10);
// =====  Partie gauche ===== //
$pdf->Cell(25, 6, 'Class Days :', 0, 0, 'L');
$pdf->Cell(103, 6,  utf8_decode(strtoupper($recu->joursCours)), 0, 0, 'L');
$pdf->Cell(10, 6, '', 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->Cell(25, 6, 'Class Days :', 0, 0, 'L');
$pdf->Cell(103, 6, utf8_decode(strtoupper($recu->joursCours)), 0, 1, 'L');


// =====  Date de modifications ===== //
$pdf->SetFont('Lexend', 'L', 9);
// =====  Partie gauche ===== //
$pdf->Cell(35, 6, 'Date of modification :', 0, 0, 'L');
$pdf->Cell(38, 6, date("d-m-Y H:i"), 0, 0, 'L');
$pdf->Cell(35, 6, 'Date of registration :', 0, 0, 'L');
$pdf->Cell(30, 6, Utility::format_date($recu->createdAt), 'R', 0, 'L');
// =====  Partie droite ===== //
$pdf->Cell(10, 6, '', 'L', 0, 'L');
$pdf->Cell(35, 6, 'Date of modification :', 0, 0, 'L');
$pdf->Cell(38, 6, date("d-m-Y H:i"), 0, 0, 'L');
$pdf->Cell(35, 6, 'Date of registration :', 0, 0, 'L');
$pdf->Cell(30, 6, Utility::format_date($recu->createdAt), 0, 0, 'L');

$pdf->Output();
