<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("parametrage/enseignant") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Enseignant</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/enseignant/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/enseignant/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Matricule :</label>
				<div class="input">
					<input type="text" name="matricule" class="form-control <?= form_error('matricule') ? 'input-error' : '' ?>" value="<?= $values['matricule'] ?? null ?>" <?= ($action==="update")?"readonly":"" ?>>
					<div class="form-error"><?= form_error('matricule') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Nom :</label>
				<div class="input">
					<input type="text" name="nom" class="form-control <?= form_error('nom') ? 'input-error' : '' ?>" value="<?= $values['nom'] ?? null ?>">
					<div class="form-error"><?= form_error('nom') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Prénoms :</label>
				<div class="input">
					<input type="text" name="prenom" class="form-control <?= form_error('prenom') ? 'input-error' : '' ?>" value="<?= $values['prenom'] ?? null ?>">
					<div class="form-error"><?= form_error('prenom') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Contact :</label>
				<div class="input">
					<input type="text" name="contact" class="form-control <?= form_error('contact') ? 'input-error' : '' ?>" value="<?= $values['contact'] ?? null ?>">
					<div class="form-error"><?= form_error('contact') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Email :</label>
				<div class="input">
					<input type="text" name="email" class="form-control <?= form_error('email') ? 'input-error' : '' ?>" value="<?= $values['email'] ?? null ?>">
					<div class="form-error"><?= form_error('email') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Adresse :</label>
				<div class="input">
					<input type="text" name="adresse" class="form-control <?= form_error('adresse') ? 'input-error' : '' ?>" value="<?= $values['adresse'] ?? null ?>">
					<div class="form-error"><?= form_error('adresse') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des enseignants</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("parametrage/enseignant/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Contact</th>
					<th>Email</th>
					<th>Adresse</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->matriculeEnseignant ?></td>
						<td><?= $list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td><?= $list->contactEnseignant ?></td>
						<td><?= $list->emailEnseignant ?></td>
						<td><?= $list->adresseEnseignant ?></td>
						<td>
							<form action="<?= base_url("parametrage/enseignant/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="matricule" value="<?= $list->matriculeEnseignant ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("parametrage/enseignant/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="matricule" value="<?= $list->matriculeEnseignant ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>