<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/scoring") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Scoring guide</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/scoring/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/scoring/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select class="form-control" name="classe" onchange="changeLevelScore(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select class="form-control" name="classe" onchange="changeLevelScore(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
				</div>
					
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Debut score ecrit :</label>
				<div class="input">
					<input type="number" name="debut-score" class="form-control <?= form_error('debut-score') ? 'input-error' : '' ?>" value="<?= $values['debut-score'] ?? null ?>">
					<div class="form-error"><?= form_error('debut-score') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Fin score ecrit :</label>
				<div class="input">
					<input type="number" name="fin-score" class="form-control <?= form_error('fin-score') ? 'input-error' : '' ?>" value="<?= $values['fin-score'] ?? null ?>">
					<div class="form-error"><?= form_error('fin-score') ?></div>
				</div>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Rating :</label>
				<div class="input">
					<input type="text" name="rating" class="form-control <?= form_error('rating') ? 'input-error' : '' ?>" value="<?= $values['rating'] ?? null ?>">
					<div class="form-error"><?= form_error('rating') ?></div>
				</div>
			</div>

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Placement :</label>
				<div class="input">
					<input type="text" name="placement" class="form-control <?= form_error('placement') ? 'input-error' : '' ?>" value="<?= $values['placement'] ?? null ?>">
					<div class="form-error"><?= form_error('placement') ?></div>
				</div>
			</div>
			<div id="niveau-score">
				<?php include("components/niveau_score.php") ?>
			</div>

			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des scores</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("testNiveau/scoring/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Classe</th>
					<th>Début score</th>
					<th>Fin score</th>
					<th>Rating</th>
					<th>Placement</th>
					<th>ETP Level</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->debutScore ?></td>
						<td><?=	$list->finScore ?></td>
						<td><?= $list->rating ?></td>
						<td><?= $list->placement ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td>
							<form action="<?= base_url("testNiveau/scoring/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idScoring ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/scoring/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idScoring ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>